--
-- PostgreSQL database dump
--

-- Dumped from database version 12.5 (Ubuntu 12.5-0ubuntu0.20.04.1)
-- Dumped by pg_dump version 12.5 (Ubuntu 12.5-0ubuntu0.20.04.1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: archive_db; Type: DATABASE; Schema: -; Owner: -
--

CREATE DATABASE archive_db WITH TEMPLATE = template0 ENCODING = 'UTF8' LC_COLLATE = 'en_US.UTF-8' LC_CTYPE = 'en_US.UTF-8';


\connect archive_db

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: internal_command_type; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE public.internal_command_type AS ENUM (
    'fee_transfer_via_coinbase',
    'fee_transfer',
    'coinbase'
);


--
-- Name: user_command_status; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE public.user_command_status AS ENUM (
    'applied',
    'failed'
);


--
-- Name: user_command_type; Type: TYPE; Schema: public; Owner: -
--

CREATE TYPE public.user_command_type AS ENUM (
    'payment',
    'delegation',
    'create_token',
    'create_account',
    'mint_tokens'
);


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: balances; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.balances (
    id integer NOT NULL,
    public_key_id integer NOT NULL,
    balance bigint NOT NULL
);


--
-- Name: balances_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.balances_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: balances_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.balances_id_seq OWNED BY public.balances.id;


--
-- Name: blocks; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.blocks (
    id integer NOT NULL,
    state_hash text NOT NULL,
    parent_id integer,
    parent_hash text NOT NULL,
    creator_id integer NOT NULL,
    block_winner_id integer NOT NULL,
    snarked_ledger_hash_id integer NOT NULL,
    staking_epoch_data_id integer NOT NULL,
    next_epoch_data_id integer NOT NULL,
    ledger_hash text NOT NULL,
    height bigint NOT NULL,
    global_slot bigint NOT NULL,
    global_slot_since_genesis bigint NOT NULL,
    "timestamp" bigint NOT NULL
);


--
-- Name: blocks_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.blocks_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: blocks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.blocks_id_seq OWNED BY public.blocks.id;


--
-- Name: blocks_internal_commands; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.blocks_internal_commands (
    block_id integer NOT NULL,
    internal_command_id integer NOT NULL,
    sequence_no integer NOT NULL,
    secondary_sequence_no integer NOT NULL,
    receiver_balance integer NOT NULL
);


--
-- Name: blocks_user_commands; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.blocks_user_commands (
    block_id integer NOT NULL,
    user_command_id integer NOT NULL,
    sequence_no integer NOT NULL,
    status public.user_command_status NOT NULL,
    failure_reason text,
    fee_payer_account_creation_fee_paid bigint,
    receiver_account_creation_fee_paid bigint,
    created_token bigint,
    fee_payer_balance integer NOT NULL,
    source_balance integer,
    receiver_balance integer
);


--
-- Name: epoch_data; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.epoch_data (
    id integer NOT NULL,
    seed text NOT NULL,
    ledger_hash_id integer NOT NULL
);


--
-- Name: epoch_data_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.epoch_data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: epoch_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.epoch_data_id_seq OWNED BY public.epoch_data.id;


--
-- Name: internal_commands; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.internal_commands (
    id integer NOT NULL,
    type public.internal_command_type NOT NULL,
    receiver_id integer NOT NULL,
    fee bigint NOT NULL,
    token bigint NOT NULL,
    hash text NOT NULL
);


--
-- Name: internal_commands_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.internal_commands_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: internal_commands_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.internal_commands_id_seq OWNED BY public.internal_commands.id;


--
-- Name: public_keys; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.public_keys (
    id integer NOT NULL,
    value text NOT NULL
);


--
-- Name: public_keys_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.public_keys_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: public_keys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.public_keys_id_seq OWNED BY public.public_keys.id;


--
-- Name: snarked_ledger_hashes; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.snarked_ledger_hashes (
    id integer NOT NULL,
    value text NOT NULL
);


--
-- Name: snarked_ledger_hashes_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.snarked_ledger_hashes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: snarked_ledger_hashes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.snarked_ledger_hashes_id_seq OWNED BY public.snarked_ledger_hashes.id;


--
-- Name: timing_info; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.timing_info (
    id integer NOT NULL,
    public_key_id integer NOT NULL,
    token bigint NOT NULL,
    initial_balance bigint NOT NULL,
    initial_minimum_balance bigint NOT NULL,
    cliff_time bigint NOT NULL,
    cliff_amount bigint NOT NULL,
    vesting_period bigint NOT NULL,
    vesting_increment bigint NOT NULL
);


--
-- Name: timing_info_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.timing_info_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: timing_info_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.timing_info_id_seq OWNED BY public.timing_info.id;


--
-- Name: user_commands; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.user_commands (
    id integer NOT NULL,
    type public.user_command_type NOT NULL,
    fee_payer_id integer NOT NULL,
    source_id integer NOT NULL,
    receiver_id integer NOT NULL,
    fee_token bigint NOT NULL,
    token bigint NOT NULL,
    nonce bigint NOT NULL,
    amount bigint,
    fee bigint NOT NULL,
    valid_until bigint,
    memo text NOT NULL,
    hash text NOT NULL
);


--
-- Name: user_commands_id_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.user_commands_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: user_commands_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.user_commands_id_seq OWNED BY public.user_commands.id;


--
-- Name: balances id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.balances ALTER COLUMN id SET DEFAULT nextval('public.balances_id_seq'::regclass);


--
-- Name: blocks id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks ALTER COLUMN id SET DEFAULT nextval('public.blocks_id_seq'::regclass);


--
-- Name: epoch_data id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.epoch_data ALTER COLUMN id SET DEFAULT nextval('public.epoch_data_id_seq'::regclass);


--
-- Name: internal_commands id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.internal_commands ALTER COLUMN id SET DEFAULT nextval('public.internal_commands_id_seq'::regclass);


--
-- Name: public_keys id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.public_keys ALTER COLUMN id SET DEFAULT nextval('public.public_keys_id_seq'::regclass);


--
-- Name: snarked_ledger_hashes id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.snarked_ledger_hashes ALTER COLUMN id SET DEFAULT nextval('public.snarked_ledger_hashes_id_seq'::regclass);


--
-- Name: timing_info id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.timing_info ALTER COLUMN id SET DEFAULT nextval('public.timing_info_id_seq'::regclass);


--
-- Name: user_commands id; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands ALTER COLUMN id SET DEFAULT nextval('public.user_commands_id_seq'::regclass);


--
-- Data for Name: balances; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.balances (id, public_key_id, balance) FROM stdin;
1	1	66040000000000
2	1	66080000000000
3	1	66073000000000
4	4	4999000000
5	1	66113000000000
6	1	66115000000000
7	1	66108000000000
8	1	66148000000000
9	1	66155000000000
10	1	66142000000000
11	4	14999000000
12	1	66182000000000
13	1	66185000000000
14	1	66183000000000
15	1	66223000000000
16	1	66225000000000
17	1	66220000000000
18	1	66265000000000
19	1	66262999000000
20	1	0
21	1	66302999000000
22	1	66304999000000
23	1	66299998000000
24	1	66339998000000
25	1	66344998000000
26	1	66384998000000
27	1	66382997000000
28	4	0
29	2	1000000001
30	1	66421997000000
31	2	3000000001
32	1	66416996000000
33	2	4000000001
34	1	66455996000000
35	1	66460996000000
36	1	66500996000000
37	1	66540996000000
38	2	5000000001
39	1	66579996000000
40	2	6000000001
41	1	66618996000000
42	2	7000000001
43	1	66657996000000
44	2	8000000001
45	1	66696996000000
46	1	66736996000000
47	1	66776996000000
48	1	66816996000000
49	1	66856996000000
50	2	9000000001
51	1	66895996000000
52	2	10000000001
53	1	66934996000000
54	2	11000000001
55	1	66973996000000
56	2	12000000001
57	1	67012996000000
58	1	67052996000000
59	1	67092996000000
60	1	67132996000000
61	1	67172996000000
62	2	13000000001
63	1	67211996000000
64	2	14000000001
65	1	67250996000000
66	2	15000000001
67	1	67289996000000
68	2	16000000001
69	1	67328996000000
70	2	17000000001
71	1	67367996000000
72	2	18000000001
73	1	67406996000000
74	1	67446996000000
75	1	67486996000000
76	2	19000000001
77	1	67525996000000
78	2	20000000001
79	1	67564996000000
80	2	21000000001
81	1	67603996000000
82	2	22000000001
83	1	67642996000000
84	2	23000000001
85	1	67681996000000
86	2	24000000001
87	1	67720996000000
88	1	67760996000000
89	1	67800996000000
90	2	25000000001
91	1	67839996000000
92	2	26000000001
93	1	67878996000000
94	2	27000000001
95	1	67917996000000
96	2	28000000001
97	1	67956996000000
98	2	29000000001
99	1	67995996000000
100	2	30000000001
101	1	68034996000000
102	1	68074996000000
103	1	68114996000000
104	2	31000000001
105	1	68153996000000
106	2	32000000001
107	1	68192996000000
108	2	33000000001
109	1	68231996000000
110	2	34000000001
111	1	68270996000000
112	2	35000000001
113	1	68309996000000
114	2	36000000001
115	1	68348996000000
116	2	37000000001
117	1	68387996000000
118	1	68427996000000
119	2	38000000001
120	1	68466996000000
121	2	39000000001
122	1	68505996000000
123	2	40000000001
124	1	68544996000000
125	2	41000000001
126	1	68583996000000
127	2	42000000001
128	1	68622996000000
129	2	43000000001
130	1	68661996000000
131	2	44000000001
132	1	68700996000000
133	1	68740996000000
134	2	45000000001
135	1	68779996000000
136	2	46000000001
137	1	68818996000000
138	2	47000000001
139	1	68857996000000
140	2	48000000001
141	1	68896996000000
142	2	49000000001
143	1	68935996000000
144	2	50000000001
145	1	68974996000000
146	2	51000000001
147	1	69013996000000
148	1	69053996000000
149	2	52000000001
150	1	69092996000000
151	2	53000000001
152	1	69131996000000
153	2	54000000001
154	1	69170996000000
155	2	55000000001
156	1	69209996000000
157	2	56000000001
158	1	69248996000000
159	2	57000000001
160	1	69287996000000
161	2	58000000001
162	1	69326996000000
163	2	59000000001
164	1	69365996000000
165	2	60000000001
166	1	69404996000000
167	2	61000000001
168	1	69443996000000
169	2	62000000001
170	1	69482996000000
171	2	63000000001
172	1	69521996000000
173	2	64000000001
174	1	69560996000000
175	2	65000000001
176	1	69599996000000
177	2	66000000001
178	1	69638996000000
179	2	67000000001
180	1	69677996000000
181	2	68000000001
182	1	69716996000000
183	2	69000000001
184	1	69755996000000
185	2	70000000001
186	1	69794996000000
187	2	71000000001
188	1	69833996000000
189	2	72000000001
190	1	69872996000000
191	2	73000000001
192	1	69911996000000
193	2	74000000001
194	1	69950996000000
195	2	75000000001
196	1	69989996000000
197	2	76000000001
198	1	70028996000000
199	2	77000000001
200	1	70067996000000
201	2	78000000001
202	1	70106996000000
203	2	79000000001
204	1	70145996000000
205	2	80000000001
206	1	70184996000000
207	2	81000000001
208	1	70223996000000
209	2	82000000001
210	1	70262996000000
211	2	83000000001
212	1	70301996000000
213	2	84000000001
214	1	70340996000000
215	2	85000000001
216	1	70379996000000
217	2	86000000001
218	1	70418996000000
219	2	87000000001
220	1	70457996000000
221	2	88000000001
222	1	70496996000000
223	2	89000000001
224	1	70535996000000
225	2	90000000001
226	1	70574996000000
227	2	91000000001
228	1	70613996000000
229	2	92000000001
230	1	70652996000000
231	2	93000000001
232	1	70691996000000
233	2	94000000001
234	1	70730996000000
235	2	95000000001
236	1	70769996000000
237	2	96000000001
238	1	70808996000000
239	2	97000000001
240	1	70847996000000
241	2	98000000001
242	1	70886996000000
243	2	99000000001
244	1	70925996000000
245	2	100000000001
246	1	70964996000000
247	2	101000000001
248	1	71003996000000
249	2	102000000001
250	1	71042996000000
251	2	103000000001
252	1	71081996000000
253	2	104000000001
254	1	71120996000000
255	2	105000000001
256	1	71159996000000
257	2	106000000001
258	1	71198996000000
259	2	107000000001
260	1	71237996000000
261	2	108000000001
262	1	71276996000000
263	2	109000000001
264	1	71315996000000
265	2	110000000001
266	1	71354996000000
267	2	111000000001
268	1	71393996000000
269	2	112000000001
270	1	71432996000000
271	2	113000000001
272	1	71471996000000
273	2	114000000001
274	1	71510996000000
275	2	115000000001
276	1	71549996000000
277	2	116000000001
278	1	71588996000000
279	2	117000000001
280	1	71627996000000
281	2	118000000001
282	1	71666996000000
\.


--
-- Data for Name: blocks; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.blocks (id, state_hash, parent_id, parent_hash, creator_id, block_winner_id, snarked_ledger_hash_id, staking_epoch_data_id, next_epoch_data_id, ledger_hash, height, global_slot, global_slot_since_genesis, "timestamp") FROM stdin;
1	3NKFjpLB4Z3wy69WjB5KxdgvHQa8WUTqMyu9BLDPWFoF6T7crkPq	\N	3NLPN3uBe2FsaAAgfeCUSPAxAMC1bRq8XikeiWFFDg5fhx9zvadb	3	3	1	1	2	jxZLBXBBfE5tfq8CbcMqXosMsDo1mYt8kYNZsAb4JSs36ghytn5	1	0	0	0
2	3NLxKNnREBc3RKsrxSkxu5s6bHf4JAd43TzpDASBerh38Cw5dRJg	1	3NKFjpLB4Z3wy69WjB5KxdgvHQa8WUTqMyu9BLDPWFoF6T7crkPq	1	1	1	1	3	jwdpq7duKPYwK9uy3J9F5n41Vy7ZPvBAmFVgBMFZi68iRVJfWbt	2	1	1	1548878403830
3	3NLtU5DaoA83FSTsmdbMmLGjfwxeQnnGgULZ2DzxvC6Lcy3tR1Mg	2	3NLxKNnREBc3RKsrxSkxu5s6bHf4JAd43TzpDASBerh38Cw5dRJg	1	1	1	1	4	jxFXnn1fJcj4iLZAhCGE8RxPfwF99ZijtPvNAmwya5srutFmWRv	3	2	2	1548878404049
4	3NLE6HZpeJK6jKguu6PujM73TVVAEZqoPjCZrkXmMn19Pyp4Yh41	3	3NLtU5DaoA83FSTsmdbMmLGjfwxeQnnGgULZ2DzxvC6Lcy3tR1Mg	1	1	1	1	5	jxd3U3BdtWDSjLsDmCvgugws9KeSYD5NiXd6pZhZxnzyRR1Xode	4	4	4	1548878408701
5	3NLQGVXuG4pbZSa3EC16FEv1zfvQQYWJwrxNpkwPhgdFFrtPrz5Z	4	3NLE6HZpeJK6jKguu6PujM73TVVAEZqoPjCZrkXmMn19Pyp4Yh41	1	1	1	1	6	jwRjZjyQEtakXwsciPznjcKrb1wPqA4KvtdWyw3hFciG71vfzTN	5	5	5	1548878410690
6	3NKx72AxWXVXeCDNSjdxrGjRzjwbKas665erZYpcfwBmPnA8UqdK	5	3NLQGVXuG4pbZSa3EC16FEv1zfvQQYWJwrxNpkwPhgdFFrtPrz5Z	1	1	1	1	7	jwPwi8ddnvbri6LVmvx745isefpCtQAN9emgZ86hwVP2adBKYsa	6	6	6	1548878413008
7	3NLaN379jHpF5VAjk49n3ayToJNZMeg4wtft1fGYeoMg9fM8tF8y	6	3NKx72AxWXVXeCDNSjdxrGjRzjwbKas665erZYpcfwBmPnA8UqdK	1	1	1	1	8	jwgkfLdyMrjy6E8r9TmWD8aXWCoZN1UUxEhRpjjnspf2UBepEyJ	7	7	7	1548878415000
8	3NL9cpE5fHa2B5rtrBHmZYjFAG43rGyCUrHB3TMruwkbapERGZ5U	7	3NLaN379jHpF5VAjk49n3ayToJNZMeg4wtft1fGYeoMg9fM8tF8y	1	1	1	1	9	jxuP3jSesidTV3fhojaekpDdHefyCC3eXm6tuAvb6zY2gwzRUw8	8	9	9	1548878418000
9	3NKGuYzRhPBY4kE7fwnnhZRHuRPzU4fDLZ2fnzTHxvNXvwjedccH	8	3NL9cpE5fHa2B5rtrBHmZYjFAG43rGyCUrHB3TMruwkbapERGZ5U	1	1	1	1	10	jxh1AnMmqjWUeZH2NgSvvTFjpFqwyq3UJ9dEiukoSXT83TvUBJv	9	10	10	1548878420000
10	3NLRaRrKadzmQcEyZi5bkPyNKvUuCcfdco42wQa6ux2zhzKHbmCt	9	3NKGuYzRhPBY4kE7fwnnhZRHuRPzU4fDLZ2fnzTHxvNXvwjedccH	1	1	1	1	11	jx9dLGj3B36fwu67Q9EAkQVvgvLMA52kyi1TE2qRpWJB4tXZ2av	10	11	11	1548878422121
11	3NKvDLPPr5k49ubmKkBQCyQNdfXKRXoPByrEU64Pg5Bne4fjQirf	10	3NLRaRrKadzmQcEyZi5bkPyNKvUuCcfdco42wQa6ux2zhzKHbmCt	1	1	1	1	12	jx5SoufRtkHc8EEAex1dvQ6NrP77drD1PkpmQCf3DCzaM2MMzR2	11	12	12	1548878424143
12	3NKGn61javjGgvSyTDGDp3vnTLCsRmSv5SY2x49hQdjeMyYN67db	11	3NKvDLPPr5k49ubmKkBQCyQNdfXKRXoPByrEU64Pg5Bne4fjQirf	1	1	1	1	13	jwfoWVwuymQvQvoCgESKjTNXUHdekDwESQtHou17EAWt23LN9hs	12	13	13	1548878426000
13	3NLYLs9ubC4Mbiutt64EeHZz7X1oqPmvJnL8maouTYrW4LhoMDqT	12	3NKGn61javjGgvSyTDGDp3vnTLCsRmSv5SY2x49hQdjeMyYN67db	1	1	1	1	14	jwVttjyzA1mgqaanZkryWQ82WCjf1y6Z4jeP39s5dq6kwHcky6t	13	14	14	1548878428128
14	3NLecxiWQ1TXQcqN83AdiSJY7GqbRRmCTuxMT2MUKdzt5cUVxdgP	13	3NLYLs9ubC4Mbiutt64EeHZz7X1oqPmvJnL8maouTYrW4LhoMDqT	1	1	1	1	15	jwzygLLuzxAjCL7eVPETdaUjjH4Ki6ZMzGMT5hDxpE8xJkrit8B	14	15	15	1548878430000
15	3NLdBcN9sD9LWADfr1Gd13ZfDyN82VzbUkZUFLzRPJbXt3uRyFv7	14	3NLecxiWQ1TXQcqN83AdiSJY7GqbRRmCTuxMT2MUKdzt5cUVxdgP	1	1	1	1	16	jxKiLvK2BJCYUR2ZfKegh5ZaXobYZsKyUCtQMNJMFj8LAxReFdk	15	16	16	1548878432000
16	3NL7dSrKPAmnvAUjbUdSUJBKn1pNF1SGZQ8BgNSHMju4LVE8yjyg	15	3NLdBcN9sD9LWADfr1Gd13ZfDyN82VzbUkZUFLzRPJbXt3uRyFv7	1	1	1	1	17	jxm7WcKqbx7F7GJGGvKtkbjpDvWiT2bbBLxohjpDUuGPG3T8Vq4	16	17	17	1548878434000
17	3NKXhbxBRxXPuF97K2BSK2BJZ1wjwzuCPa2nCv2894GgZq1Xm8Mo	16	3NL7dSrKPAmnvAUjbUdSUJBKn1pNF1SGZQ8BgNSHMju4LVE8yjyg	1	1	1	1	18	jxQ5rSmNTQFraXy8aDdJZSTGdqaShvXqSVKcjo8GuZ5WpRtCjzS	17	18	18	1548878436000
18	3NLsTsgQct2FfDvc6W8VozYP8npBSiPZCYvNjc5bo9yd3V2iJUpP	17	3NKXhbxBRxXPuF97K2BSK2BJZ1wjwzuCPa2nCv2894GgZq1Xm8Mo	1	1	1	1	19	jxgwhtPhVra9guEtPat2BwRyF15DkHZkwkKZckjYLVFqdTGR5MS	18	19	19	1548878438000
19	3NKHYv9fmgqDrYRPEGjiqDVXuWnwKtFqTLmaPEzgjxAfhfZXjheN	18	3NLsTsgQct2FfDvc6W8VozYP8npBSiPZCYvNjc5bo9yd3V2iJUpP	1	1	1	1	20	jy28JmZhZ32KL6YmYhqXkXek3XKyJAnmaaD4CeqnYv7JuqFjBQT	19	21	21	1548878442000
20	3NLYKhTCGXtSR1UHqeWmM9Jceq3jEgSv4yKyehrpALZFUViLVUBM	19	3NKHYv9fmgqDrYRPEGjiqDVXuWnwKtFqTLmaPEzgjxAfhfZXjheN	1	1	1	1	21	jx9iAKAhsJFhEUr81exKJNxKhLKA1aPPTwdB4Y8LGcvcpWZGo8H	20	22	22	1548878444000
21	3NLePk78vsnPth9D52fscYioh49civBiq5C4HzTE3dujj4VzPvGU	20	3NLYKhTCGXtSR1UHqeWmM9Jceq3jEgSv4yKyehrpALZFUViLVUBM	1	1	1	1	22	jwEMAf8PqmdwnUVESwv7QrvSLqTjxDBYsm5WXQZ8hay5U1KeTTG	21	23	23	1548878446000
22	3NL9e9f64SdkhAhcckYhWx3NzWtzhUHFzJuHMvMcK2egfYDXwQQS	21	3NLePk78vsnPth9D52fscYioh49civBiq5C4HzTE3dujj4VzPvGU	1	1	1	1	23	jx5V4gQz4pxN1gWfVZnkHny5x7uDMs5jK2Utmf1d5hEHgGshAPU	22	25	25	1548878450000
23	3NL7mBoKfZfTzdcLMvgpXzoGZyuywQSqrU2YEGW2RHySLG7eiFpn	22	3NL9e9f64SdkhAhcckYhWx3NzWtzhUHFzJuHMvMcK2egfYDXwQQS	1	1	1	1	24	jxTDB3BhpQtDxtsR9TF3bH7WFPLyPaH3cNEBJ7X544RN1gncCMx	23	27	27	1548878454000
24	3NLNZ9yafMsTHEcVov7Z7MjiaNYgMKGmycZPKVmkZsppsMpNh4C8	23	3NL7mBoKfZfTzdcLMvgpXzoGZyuywQSqrU2YEGW2RHySLG7eiFpn	1	1	1	1	25	jxLtA9ghmFXgHV93zq1w7bq8godXYtnaV1eFYfKRgsTpzenrRY7	24	29	29	1548878458000
25	3NLjTSG3TjTaj7rEb9iAXkpu5W6UfGZcZU9haACh1eUrTWSAPMmA	24	3NLNZ9yafMsTHEcVov7Z7MjiaNYgMKGmycZPKVmkZsppsMpNh4C8	1	1	1	1	26	jxjdNdRpPAuCquYxN8GmXtF9KHMrNkeLhPyAs96quDJNA27T5Bp	25	30	30	1548878460000
26	3NLkvcRFrWX9sutsnQjuLYwZnjTRVK5YnqhJifSEbf5DEnr1yHR5	25	3NLjTSG3TjTaj7rEb9iAXkpu5W6UfGZcZU9haACh1eUrTWSAPMmA	1	1	1	1	27	jxxkGFEqBaZ8u5eoJTXUmUr6JRSBuEJtGhcFQgK3RaDuyiFbr8g	26	31	31	1548878462000
27	3NKnKc93ZzVNNMZQsWMfK87BdeMBCmwQaFAe2KkV5SbfmqpxBKvL	26	3NLkvcRFrWX9sutsnQjuLYwZnjTRVK5YnqhJifSEbf5DEnr1yHR5	1	1	1	1	28	jxcGqZPYHbdr9rAefHpJNbrNwJChmKEi3GZ2jYp6AciKwAQvbwQ	27	32	32	1548878464000
28	3NLq6NQHLtUBgwTJYQJoRHFDrDqFmvPvfuohQfNANiJ4kNqVQrdY	27	3NKnKc93ZzVNNMZQsWMfK87BdeMBCmwQaFAe2KkV5SbfmqpxBKvL	1	1	1	1	29	jxhYQoF4hJsRQZ61uJqpESaT8kJtAeNNEuBNx14HHC4E6dc8esV	28	33	33	1548878466000
29	3NL5SgUse9VP6VrMnAdKq22rPo79dGbg5txoKVESmP9BD2MutNFA	28	3NLq6NQHLtUBgwTJYQJoRHFDrDqFmvPvfuohQfNANiJ4kNqVQrdY	1	1	1	1	30	jwkDZ5jSXMQnX187yP1JMAQTMAA7RMCKcTgnmzQsTeRTvdVwC4F	29	36	36	1548878472000
30	3NKH2WQ6LZothJskQkrHG1kr5vv41tdx9HqmP1VvcuccmR27ZT8E	29	3NL5SgUse9VP6VrMnAdKq22rPo79dGbg5txoKVESmP9BD2MutNFA	1	1	1	1	31	jw97L66JUWS4Z9vDQj3JGoUQuN34N1m3opxRGeUpsDVvioS1NAm	30	37	37	1548878474000
31	3NKNpPv6Wjj6z3EYnSF9ogouAkpF5KejZMJBJxriXSCUnaLpYpzp	30	3NKH2WQ6LZothJskQkrHG1kr5vv41tdx9HqmP1VvcuccmR27ZT8E	1	1	1	1	32	jwxoLa3wTsvUUcw3kjpjhn6TR6r56y7xPG9Y78DAWKEmeUptyEj	31	38	38	1548878476000
32	3NKGZ9tgCnhF4Rz8uvDncWbp3KL7VhJ5GoQXJSv9Lad8hKx8C5GY	31	3NKNpPv6Wjj6z3EYnSF9ogouAkpF5KejZMJBJxriXSCUnaLpYpzp	1	1	1	1	33	jw8qxJY4BEjtanZqdCRaC4jp5s4yb3PXajqHWjzcr5ZLhgj6p4g	32	39	39	1548878478000
33	3NLUZRh1FFHdDzqiSbtgY18jWvr66YrjPch8DUd5r2vcvntrLPDU	32	3NKGZ9tgCnhF4Rz8uvDncWbp3KL7VhJ5GoQXJSv9Lad8hKx8C5GY	1	1	1	1	34	jxVzCRsQwFzZUUcwnHqX4biNRZ5JmkKkF9J6w6wPPRYscNG3jFm	33	40	40	1548878480000
34	3NLrsyNCdW9ZWy3sWgKg69iwr26HH3agctVS4GsKxsqiXgi9eBeX	33	3NLUZRh1FFHdDzqiSbtgY18jWvr66YrjPch8DUd5r2vcvntrLPDU	1	1	1	1	35	jwdsz9h7SxNXMSdid5RTLftPNUGjy1e5yiPoUVR8cSeYx9dmM4R	34	41	41	1548878482000
35	3NLLMnscXJirfynrjsParbVoZrfDNsAvuzEUkgZY2ETd3CF9jSKU	34	3NLrsyNCdW9ZWy3sWgKg69iwr26HH3agctVS4GsKxsqiXgi9eBeX	1	1	1	1	36	jwHvEGGDyeXacpMpDQ9yGVfSxVEAkAF3LWZHruivBvmqs9aEp52	35	42	42	1548878484000
36	3NL7m6MtXPAHxBX6KyckxYJfp1iRbWc5vkDrUqotxLhkTPh6HuH1	35	3NLLMnscXJirfynrjsParbVoZrfDNsAvuzEUkgZY2ETd3CF9jSKU	1	1	1	1	37	jwWvdYsR6FgwanaWUS34djwbBkeWScF78bA8ueYcLESJtwTUprq	36	45	45	1548878490000
37	3NKdJsTnCpsUrU1itNxhpS9jyWKmidP57QPa8csR1XRKJaD9hcgc	36	3NL7m6MtXPAHxBX6KyckxYJfp1iRbWc5vkDrUqotxLhkTPh6HuH1	1	1	1	1	38	jwtY78KKbKh5Eop5XDGLsb9mi8QNCTH4aBetZFVjARZcMGMv2G6	37	47	47	1548878494000
38	3NLnSGdmdPDE86bzPrW1jrJUjiCfx5SYeHNGwfntHh8RwqZH5uKf	37	3NKdJsTnCpsUrU1itNxhpS9jyWKmidP57QPa8csR1XRKJaD9hcgc	1	1	1	1	39	jx4R9rZXzfkzrow4uqhP7NFZtMNqcxeEH38ayRQUzH2GPrVkPGC	38	50	50	1548878500000
39	3NLxZtUgJgPJcQ5hfsrK5mHvctovYarWmqPgGvKAy5tT43P7Jo6c	38	3NLnSGdmdPDE86bzPrW1jrJUjiCfx5SYeHNGwfntHh8RwqZH5uKf	1	1	1	1	40	jxvE8manjYeuCWHkSJg8kYbYLGDCxTeZtBoGZdBmV4NF3ef6K7c	39	51	51	1548878502000
40	3NKP7rE5qPRrXhAH8FPpYHyHA9jbrszR4UU2UpbDE21uzLV48FWu	39	3NLxZtUgJgPJcQ5hfsrK5mHvctovYarWmqPgGvKAy5tT43P7Jo6c	1	1	1	1	41	jwjTgXt516KjqJozK6Xn58kfyhmpbuvC9XJLbfnXSvR1bEHvQqu	40	52	52	1548878504000
41	3NKMPnBLCydSVoWtGxZD6vh89e3nkTPxkHthfiawgbR51665ovdT	40	3NKP7rE5qPRrXhAH8FPpYHyHA9jbrszR4UU2UpbDE21uzLV48FWu	1	1	1	1	42	jwt6YMFtE2sRvQRMrp9CVi6dsfJVJ49cb6T4XCsHdYJEGNMT65k	41	54	54	1548878508000
42	3NKr7o8uDJYqd1x59xEz67DbfAVp4M4uuvMnNvrAwRcqgaSVzREo	41	3NKMPnBLCydSVoWtGxZD6vh89e3nkTPxkHthfiawgbR51665ovdT	1	1	1	1	43	jwv6DXR7tRAW9AoLjHA4aZAvUWSMszDga7gPgBHYjwptx3wGKxn	42	55	55	1548878510000
43	3NLjzTS3gXfpeMB4ZauPP1T5LpkGFj1zCgJR7pqeSTtmzdUhMTMZ	42	3NKr7o8uDJYqd1x59xEz67DbfAVp4M4uuvMnNvrAwRcqgaSVzREo	1	1	1	1	44	jweiVCUz3TrHfpJSRxuaA4QptJ3q8qnThUUHowUz1JuXtuBqW5x	43	57	57	1548878514000
44	3NKGXJRCi4mvU6cL9JKevsSnLaM84uaxPVB1Gj9KgBfhU7Np4hCy	43	3NLjzTS3gXfpeMB4ZauPP1T5LpkGFj1zCgJR7pqeSTtmzdUhMTMZ	1	1	1	1	45	jxv9YE2GGfmpqiNRD7sYp4DqvgtsGdM8CK4cu2jkix7zEDKNnJV	44	59	59	1548878518000
45	3NK9h3Z1TSV6tSEvaFf1pSrXambqxkRtMQFNm4wgDEw8RuNWzPwP	44	3NKGXJRCi4mvU6cL9JKevsSnLaM84uaxPVB1Gj9KgBfhU7Np4hCy	1	1	1	1	46	jx2G32ejDCAUKUi3Kj3QQFKseHr8S6mQ3D5vhtU92U7xLyK1G4K	45	60	60	1548878520000
46	3NLbHW8LrjC6ccDoNa1K634zX2xB2JRWhEwGauuzPmG1vQKDpaGm	45	3NK9h3Z1TSV6tSEvaFf1pSrXambqxkRtMQFNm4wgDEw8RuNWzPwP	1	1	1	1	47	jwVy2D2b5rdXTFkz93MwkcaCAkb6zVdHbvs3ieHFeNfsC1UEqJL	46	62	62	1548878524000
47	3NL742VcaaJ4UkG64hhfpdHBmoG76HqwgyPYuFaW5whgagsq1Yen	46	3NLbHW8LrjC6ccDoNa1K634zX2xB2JRWhEwGauuzPmG1vQKDpaGm	1	1	1	1	48	jxgZJnLAxrgT6yofxgyfhGhTuB3Z2GpQtVUM8m1VHsShShLfFEV	47	64	64	1548878528000
48	3NLbdY1HEombzUWfQxrJpjAZvkRhUedE3i12FXeb7KSUYZ7aaugc	47	3NL742VcaaJ4UkG64hhfpdHBmoG76HqwgyPYuFaW5whgagsq1Yen	1	1	1	1	49	jwYWUMzL2HMbXUmgki6UuvbthKT1ifje4QrLw1j5MKsSKuGZaAx	48	65	65	1548878530000
49	3NLQQN287dfrmEJ4qZuVkBoM7VkXrfByaszdWG2p114CcCKVd78Y	48	3NLbdY1HEombzUWfQxrJpjAZvkRhUedE3i12FXeb7KSUYZ7aaugc	1	1	1	1	50	jxoqzQxDC5yXzTYxGBNQPdhEbwFXeRSLZXAuQSMiwVAGNwPXQLf	49	66	66	1548878532000
50	3NLMXeBDFVH2cA2C2198xrirNVLnxSR8DkFy5vUT2kFaja9QbD9u	49	3NLQQN287dfrmEJ4qZuVkBoM7VkXrfByaszdWG2p114CcCKVd78Y	1	1	1	1	51	jwFnXDv85FbodXMdDdxu7Q7MkDTDmpNexq53ShCbRnycDGjAXPn	50	68	68	1548878536000
51	3NKgPKzJtGH8MU1RqM1iNaXeQ4MNEjqmZFHYU8FPDXHDtbszixvd	50	3NLMXeBDFVH2cA2C2198xrirNVLnxSR8DkFy5vUT2kFaja9QbD9u	1	1	1	1	52	jxd2decueeajuthZo6pu3Jjy3ctSkvx81ZA1vG8PVy19yriDtFC	51	69	69	1548878538000
52	3NLhQnXnYj1dqv8xPymYrUvK5sGpE4FHxxrxCKbDrpkgKdBoRg14	51	3NKgPKzJtGH8MU1RqM1iNaXeQ4MNEjqmZFHYU8FPDXHDtbszixvd	1	1	1	1	53	jwPc5ntQXcAiimRgbh11UkWXWxFNu7aH1GFD9TkMwQNVZN77E89	52	70	70	1548878540000
53	3NKZdnccxQYwdua6bQ8LVS7BKckB8mxaEHqzm2sVqGyB4JDUq293	52	3NLhQnXnYj1dqv8xPymYrUvK5sGpE4FHxxrxCKbDrpkgKdBoRg14	1	1	1	1	54	jxd6n1pJeGAuGeNUpqDofKeyuW8qsX1ewVi83oUCtE2Mb2SAW13	53	71	71	1548878542000
54	3NL19vrg5xM5L5FwiVwXZyvceFA61xokkSs2snkJTc95um6HRPNN	53	3NKZdnccxQYwdua6bQ8LVS7BKckB8mxaEHqzm2sVqGyB4JDUq293	1	1	1	1	55	jwvC4ddMcjnLppLUNbsYzdHjRgpSckTarWauAtexFna4bnt9QSy	54	72	72	1548878544000
55	3NKgRUua7MWe2nZzWo7qLNNY9hRB7DW6eaEtHNYrti39hXzN6h2c	54	3NL19vrg5xM5L5FwiVwXZyvceFA61xokkSs2snkJTc95um6HRPNN	1	1	1	1	56	jw8z8VQYdrQSdiiiX6kLRG3LtXvVLaUUdgpJesd7j4HH9BVhGUz	55	73	73	1548878546000
56	3NKej3bzuYVqfTGHTZAkL9aWdbho6grRnLsKCsC2yB7r9Lkagnyt	55	3NKgRUua7MWe2nZzWo7qLNNY9hRB7DW6eaEtHNYrti39hXzN6h2c	1	1	1	1	57	jwsa5Loh1ZXN9g8VtBeLJQyDgBFX7vrxWmcjLsy49yYauMSf4uS	56	74	74	1548878548000
57	3NLjKr4Ls3mHxv5rSjSAFs8csKmheUyzmpMnHke5wLDhr57GbzUP	56	3NKej3bzuYVqfTGHTZAkL9aWdbho6grRnLsKCsC2yB7r9Lkagnyt	1	1	1	1	58	jxpdfp77G8GapjUQ1vaW6NHfjq5uhbLFev2JpsmS8mjW5EtQHv5	57	75	75	1548878550000
58	3NKi3gymnpKDubJ8wKwx78khtMzD9rEiKjyPG4Xjf6Scsu7WAuH5	57	3NLjKr4Ls3mHxv5rSjSAFs8csKmheUyzmpMnHke5wLDhr57GbzUP	1	1	1	1	59	jxrCeE2VNaXQniDFy73chZQLkcxXnDfUgzzpjjUo7JUY7St4xjD	58	76	76	1548878552000
59	3NLvkB5CCxEKyGDZydtCw5L9rXUyqpPdf7sEk7g46X2tMi221vzF	58	3NKi3gymnpKDubJ8wKwx78khtMzD9rEiKjyPG4Xjf6Scsu7WAuH5	1	1	1	1	60	jwFpvC9HFBRRA5aWDSa6zYY8wGw7zYWZYLbFgdtrDwgBzyc1JbT	59	77	77	1548878554000
60	3NLBzNtdygVFDWX6L7u9q4txztCH121rUJZwjxqkuwAtqCa66KWb	59	3NLvkB5CCxEKyGDZydtCw5L9rXUyqpPdf7sEk7g46X2tMi221vzF	1	1	1	1	61	jxSFNbpb4LPFgMM74tgwwr7v5pxoeoHWxaqqnURkapPtuvdDs43	60	79	79	1548878558000
61	3NLPUNMHLSqaVcUpZ8FiiK7Fsr6equrxwrHrtXFKL6sn1QZs5jaN	60	3NLBzNtdygVFDWX6L7u9q4txztCH121rUJZwjxqkuwAtqCa66KWb	1	1	1	1	62	jxQm4NeiwtrjAV6J8UkXfDetanvDo8XGzrv8rSH9xjHUZjuwS79	61	81	81	1548878562000
62	3NLn9Jh2MzEiA5jrY5NFCPNsenq7pitoAfwfWSUGK9gqkRvnGmn9	61	3NLPUNMHLSqaVcUpZ8FiiK7Fsr6equrxwrHrtXFKL6sn1QZs5jaN	1	1	1	1	63	jx3pRHEBGgCqY6GZLV4jkRKx7o3YUkHf9ezdBwhWs3bJpyMyxFH	62	82	82	1548878564000
63	3NK9TK4fo89YsQmnnog1NH4YQxVfsYDJME46SiPUJwJExfQNM3E1	62	3NLn9Jh2MzEiA5jrY5NFCPNsenq7pitoAfwfWSUGK9gqkRvnGmn9	1	1	1	1	64	jwSgDJzMxgkYYRmwQcYpkHuDjxE9f43Hmcmxi9dKBbcTiMmgUd3	63	83	83	1548878566000
64	3NKGpmCCunaKEa8w5FWHjo55KJ1wqej9mvo5DhNUXnib3sPstwjr	63	3NK9TK4fo89YsQmnnog1NH4YQxVfsYDJME46SiPUJwJExfQNM3E1	1	1	1	1	65	jxX2J7zdBfU53MuwtqZ1yCzAMGGxVA6JgyQrLF8agpA7asK3jDX	64	84	84	1548878568000
65	3NKHNszLHLDX7X5iyaBJZG7DnEsGCZrSpTTn6jp5ag6ffjDKXjwD	64	3NKGpmCCunaKEa8w5FWHjo55KJ1wqej9mvo5DhNUXnib3sPstwjr	1	1	1	1	66	jwv8ySB5SjZb3Jj2pr5r2JrSPujLL8HkHbZbvFWnvC53KjXejLs	65	85	85	1548878570000
66	3NLbH52QoR4LjzixhrAV84JRQQyrJPugyDsGBJg9ARk3tXMrQXKm	65	3NKHNszLHLDX7X5iyaBJZG7DnEsGCZrSpTTn6jp5ag6ffjDKXjwD	1	1	1	1	67	jwVMwXGQ3ykFz1zC82Vtgpzk88PAA3UncVY6C3HBb6MqipqmVoN	66	86	86	1548878572000
67	3NKKX1J2x5w69QccYNiLXKg1nXQHJ1m6AZ2mVeVGGMAS2V8WhrxV	66	3NLbH52QoR4LjzixhrAV84JRQQyrJPugyDsGBJg9ARk3tXMrQXKm	1	1	1	1	68	jxRiKKQbjRopzk2WidqyMZPsk2L1RAXV18SNxf4hdzPpq1YTzhf	67	87	87	1548878574000
68	3NLneb5Ukvoyi4CJvJPyAZXhig3cEKZrdaqHjg6Sko3PuE5tK25L	67	3NKKX1J2x5w69QccYNiLXKg1nXQHJ1m6AZ2mVeVGGMAS2V8WhrxV	1	1	1	1	69	jwXEKXg8EVpYTfyemTuKZiXzjySUEbC6PBSgADfrfw7k41ELF89	68	88	88	1548878576000
69	3NLy6dr4Uq4LPiFpwifXKVyDiMUJwk3ewmJUMHszN3MScRXrNH1G	68	3NLneb5Ukvoyi4CJvJPyAZXhig3cEKZrdaqHjg6Sko3PuE5tK25L	1	1	1	1	70	jwTGBCVX3cZTRzeRAZQLpW7Lksb2N7qiWqZe4AY6PGqrrhi35yZ	69	90	90	1548878580000
70	3NLCbUaaZVKFiG8XjrmTYWcpJyMCCCTcDcRjgyHVv3YDS6YemnXR	69	3NLy6dr4Uq4LPiFpwifXKVyDiMUJwk3ewmJUMHszN3MScRXrNH1G	1	1	1	1	71	jxWykc2p4wX5hqVPTzZmRPkZ8RmA1SVCswAqfk9KTXcnokeqB6b	70	91	91	1548878582000
71	3NK697DM8k8WnyQXxQKUwFJYVC2A7h7jP9AVpbPtTJEKMB5fGvYf	70	3NLCbUaaZVKFiG8XjrmTYWcpJyMCCCTcDcRjgyHVv3YDS6YemnXR	1	1	1	1	72	jx513Gp5RDaoMLcpDfU4ozmDD1yncjGxJi2MNniEmd7TshLYdR9	71	92	92	1548878584000
72	3NKkjFFHeqWuxgjapcJy7krC35MHSB6VWpbLyXZ9cBiPpp1xciDh	71	3NK697DM8k8WnyQXxQKUwFJYVC2A7h7jP9AVpbPtTJEKMB5fGvYf	1	1	1	1	73	jxhwxLqjT8XCcsgSstAiCP1xUDKuV6TAG8FMUUygEr3mpvfyRUM	72	94	94	1548878588000
73	3NLn37emdtJfhFq2PuLVX83HaCKavF5zic95aWSXSASiV4GqYy7n	72	3NKkjFFHeqWuxgjapcJy7krC35MHSB6VWpbLyXZ9cBiPpp1xciDh	1	1	1	1	74	jwZgmwTrvneddaB9EMsJgJBYSmL62hVkY1Q5TQWwVaSAsdgPUnz	73	95	95	1548878590000
74	3NKChtgMwkfuSEDKnWUUb1cxdaceFMkjXt21L1SDUtVvncqc9zci	73	3NLn37emdtJfhFq2PuLVX83HaCKavF5zic95aWSXSASiV4GqYy7n	1	1	1	1	75	jxmexjGa8HzM9RT6kYw6C2d63LxbUhxztbGis4FnxVQPfjD3nRP	74	97	97	1548878594000
75	3NLSjo22sE7ykD3ycBrSgz2oPtFyCwDfoydEwucEPDH2RjRZTdHE	74	3NKChtgMwkfuSEDKnWUUb1cxdaceFMkjXt21L1SDUtVvncqc9zci	1	1	1	1	76	jxe8YpJDFvYeE9GjtKPTBz6ubYXxqCnttV5ougBTm8wYUtuF71C	75	98	98	1548878596000
76	3NKMwS3S7tDNxgh42xVqLHokm9iNKjb4Cx5fcpdQKwaU76EhD4uJ	75	3NLSjo22sE7ykD3ycBrSgz2oPtFyCwDfoydEwucEPDH2RjRZTdHE	1	1	1	1	77	jwRTfYtK15x8ZxoJp18YcWtNPSZAEvPYA62dCU9YTaJSixt3U5v	76	99	99	1548878598000
77	3NKKg96P7wkGn6Xofn8W4CNBurAmY3v1NUNuoxUdqPdDAX1bxTHJ	76	3NKMwS3S7tDNxgh42xVqLHokm9iNKjb4Cx5fcpdQKwaU76EhD4uJ	1	1	1	1	78	jxUWsZytpoezJr3BKMDZPJKp5NS4ByGXsD1BFZcMaavrH7VV9nD	77	101	101	1548878602000
78	3NLkLTmNYfEPK1JLX2LzuKyi28uknNC5xEdAweZwix3czYZeVzXP	77	3NKKg96P7wkGn6Xofn8W4CNBurAmY3v1NUNuoxUdqPdDAX1bxTHJ	1	1	1	1	79	jxEwWqQQ1J3vGUtk9sGXaY85T96FJPbVRREMafoKxGeGNLPyUvj	78	102	102	1548878604000
79	3NLKX1iNaMpvdWLyp8u5zKhtz5wYhkib2o1SBshN9CGY7fcknRjB	78	3NLkLTmNYfEPK1JLX2LzuKyi28uknNC5xEdAweZwix3czYZeVzXP	1	1	1	1	80	jxNr22GaSCCLYbHT5q3THpZHn6SPv32zE8zrR65qm8Tx3wtBAcG	79	104	104	1548878608000
80	3NKt85mHB2wYA3p2x2MWQqzW4mjgng9n1s2eppKasow2aEArs7V1	79	3NLKX1iNaMpvdWLyp8u5zKhtz5wYhkib2o1SBshN9CGY7fcknRjB	1	1	1	1	81	jxaQyAYjao2Jvx92v54dfYQxQicbCUESiJEhGD4AfrKZZWvyoke	80	107	107	1548878614000
81	3NLPVomzhhi554Zt8o98AsYHNFZYvbzGL35ZY6pmauXtm3YJ9v45	80	3NKt85mHB2wYA3p2x2MWQqzW4mjgng9n1s2eppKasow2aEArs7V1	1	1	1	1	82	jxxaMBgTPcLJY9tr1EwHPUkR2GvMSaqwoD4R3FbZ56ibcyDBzMS	81	109	109	1548878618000
82	3NKZQ8gJL2YEtiWS1bm99SQqXM7Fim2b8xBtTQpm9xsXwVhC1sM8	81	3NLPVomzhhi554Zt8o98AsYHNFZYvbzGL35ZY6pmauXtm3YJ9v45	1	1	1	1	83	jw9muJ23UgsaLgWTeWvGXJxrUJRY1cHWsPodBWsGrKwiroTbgWW	82	110	110	1548878620000
83	3NLqvzmVSs44hLcPrg7pkmLd2U5SG57pNkpwpAaDHrUYG55LQ15X	82	3NKZQ8gJL2YEtiWS1bm99SQqXM7Fim2b8xBtTQpm9xsXwVhC1sM8	1	1	1	1	84	jwKCZHRuJAQLRnRWe8vR2LWQt2HaGU5brt9GM8pX1bJhEtzJzaa	83	111	111	1548878622000
84	3NLGGhHN4yUCiCsBorpSoHtGciu19hdKk4TdQDbjrovJWMuD1QRa	83	3NLqvzmVSs44hLcPrg7pkmLd2U5SG57pNkpwpAaDHrUYG55LQ15X	1	1	1	1	85	jxSJpwrL1yM4nPoEYgcuQ9netVqYgDXXyNdgHzAuMxX3bHpiRvj	84	112	112	1548878624000
85	3NLwe9dtcM9XCuoZHUgfik6Hzp5SBaUnS5uGFx7QWXtFTTdPWcpA	84	3NLGGhHN4yUCiCsBorpSoHtGciu19hdKk4TdQDbjrovJWMuD1QRa	1	1	1	1	86	jxC7uuM8wz79o4QjG4zrMoHfV4GxAdXBX2ZWSHz3aATeCyG579C	85	113	113	1548878626000
86	3NL6inWkruqci4DkrDe8SynJGByCxJaTUsypdN5VjTeMjfhF6Npi	85	3NLwe9dtcM9XCuoZHUgfik6Hzp5SBaUnS5uGFx7QWXtFTTdPWcpA	1	1	1	1	87	jwvGj2o6KySHM1dDxXZmitMMcaCDy4hiqcT22HcKKbmQE87CWj8	86	114	114	1548878628000
87	3NLrg4f7CXeySsjpr3iD8H5R7n928tQWpyyE5twjszdaiA8kbwf2	86	3NL6inWkruqci4DkrDe8SynJGByCxJaTUsypdN5VjTeMjfhF6Npi	1	1	2	1	88	jxGLLcQXUiQGbHTuoEfHKjU6gnfvQs22n9Q41jseNx8XAGooEHd	87	115	115	1548878630000
88	3NLZx5YKaxFcqscygmddb8MSfT6q5QGEMMCKLgf7bPje2yX1yYDf	87	3NLrg4f7CXeySsjpr3iD8H5R7n928tQWpyyE5twjszdaiA8kbwf2	1	1	2	1	89	jx1GYD3FTcoinb75mLUwo3ZUz1ZmVahqSMGr9usPs5sAWKZB8Vh	88	116	116	1548878632000
89	3NLhpwYRyRjEbTKTktVNjEZVqyVjwdYgVbtxbtFrhcq5mrvA2toG	88	3NLZx5YKaxFcqscygmddb8MSfT6q5QGEMMCKLgf7bPje2yX1yYDf	1	1	2	1	90	jwdkewoA6eMCDVoPyu28LRQGCUMSYKxguW872Ws976md9KjU8BC	89	117	117	1548878634000
90	3NLfhT8Z9VMENb5kJTonwcu3uzKbFxmZQiee9JV4GfjNDkrHRUXx	89	3NLhpwYRyRjEbTKTktVNjEZVqyVjwdYgVbtxbtFrhcq5mrvA2toG	1	1	2	1	91	jxZFcEpvQpjmXj8GrpZ1tX59W973i6JTG83AaqefwUjne77Bswv	90	118	118	1548878636000
91	3NL5styBy3g3n6JbWAdaf9r3zL27Fjab2WKiMqtK3zPDB96pFbHC	90	3NLfhT8Z9VMENb5kJTonwcu3uzKbFxmZQiee9JV4GfjNDkrHRUXx	1	1	2	1	92	jwTAX6owcpQJsjj7GZqLYquYAzeefXWv3z6TG8ugL65hP2mbJvB	91	119	119	1548878638000
92	3NLm7nTccENEdKXSwVqxNLhdeHP8LK6a2v8qxjRM56a6BMLnAoJa	91	3NL5styBy3g3n6JbWAdaf9r3zL27Fjab2WKiMqtK3zPDB96pFbHC	1	1	2	1	93	jwooXU7Fo11tavT4KhdfvosN5Umbvm9vkvTmvQAzQ3TzzkbhzzE	92	120	120	1548878640000
93	3NKQpwzmW2RqSBZgSmydQyorV4qTCsQ233KGwsnaN3CKvEZAdJam	92	3NLm7nTccENEdKXSwVqxNLhdeHP8LK6a2v8qxjRM56a6BMLnAoJa	1	1	2	1	94	jwU4UsJpbkbT6hys29jLR7Ne9A9Z6W27bPyrCyNqRK3qCbd5nKQ	93	122	122	1548878644000
94	3NKw6NXY6TbBTNkok8pSrk4RPzdxJSQKDkBMqAxBEjrzTJy4Ekkq	93	3NKQpwzmW2RqSBZgSmydQyorV4qTCsQ233KGwsnaN3CKvEZAdJam	1	1	2	1	95	jwfX7RW9R1P8cBmjvjhT9dgMGhf9N2fB32YSPiFAYkwtJv1c7d1	94	123	123	1548878646000
95	3NLPersrugK7gs9sdkBvwyF4m6w6pYCL7nep8zdWkE4J8xgUaG35	94	3NKw6NXY6TbBTNkok8pSrk4RPzdxJSQKDkBMqAxBEjrzTJy4Ekkq	1	1	3	1	96	jwvMLawqUpWzUvTRxHojgJrLs7CSs223871J2vcdi2qM4Wf1vRY	95	124	124	1548878648000
96	3NKT33sQhDhVxCHgrqkaTvr8YYmx8iJ7ugMKAeJLDABrQKLmsrwp	95	3NLPersrugK7gs9sdkBvwyF4m6w6pYCL7nep8zdWkE4J8xgUaG35	1	1	3	1	97	jxbkRJuxoJALUXgvPAyNbx741kVw21Edpy6XnaX6UbPXfK7jczB	96	125	125	1548878650000
97	3NL1VG3yFYyMSnbJPdaybXJ55MbfXjb2m3UWjFU8TtVugSVPHmGM	96	3NKT33sQhDhVxCHgrqkaTvr8YYmx8iJ7ugMKAeJLDABrQKLmsrwp	1	1	3	1	98	jxGY8G6TXW3TxULfqvyyspVgGbCJAFYW87iNqFEDLSnZryJeXuf	97	126	126	1548878652000
98	3NLyUKDHeqCpUhLp9ESnxKFszR3HHGkq7asThus7jCo4zm8WwZuj	97	3NL1VG3yFYyMSnbJPdaybXJ55MbfXjb2m3UWjFU8TtVugSVPHmGM	1	1	3	1	99	jwDexqrUMiaSqqeHHC9XzKiuNy4cgzgAQmBpgsW2RGQYZxxsoEz	98	127	127	1548878654000
99	3NLWPg1ioZrkv2hHoix1Yb48jagLZUUUTS2mMzY4XDNcPcNbwF4y	98	3NLyUKDHeqCpUhLp9ESnxKFszR3HHGkq7asThus7jCo4zm8WwZuj	1	1	3	1	100	jwovEUFai2zvGJLoWf2vHaiUjC1kJGMM2XbBk5Yd3fovfXA3uyT	99	128	128	1548878656000
100	3NKnV5x24V5pXyNN5Cx7z462p7P4iSrCarXS2w2GHEyAiqE4SkVG	99	3NLWPg1ioZrkv2hHoix1Yb48jagLZUUUTS2mMzY4XDNcPcNbwF4y	1	1	3	1	101	jwDhbjRZjWsamUqsRVyk67gSVWF4dhcCyce4KMP3eeJQ1R963Z6	100	130	130	1548878660000
101	3NLEQunKFC6pxk5H9sZPRHJpeFuRi113aABNenTGuQP6dvnuD3ja	100	3NKnV5x24V5pXyNN5Cx7z462p7P4iSrCarXS2w2GHEyAiqE4SkVG	1	1	3	1	102	jxny7MPR52TsbwfWCZDE8Mmups3DToWCMrrRWXoXq98iPT3ZfU9	101	133	133	1548878666000
102	3NL7Cdju3LYi9kaVtZ9U24XifkSrqQwf6LYK3sZpuiQTh3gc6Z8o	101	3NLEQunKFC6pxk5H9sZPRHJpeFuRi113aABNenTGuQP6dvnuD3ja	1	1	3	1	103	jwuH8F8C8XBUfXo1RwzAuTcsrw11rsoSKbpkAgkU8NiPQ92oYUX	102	134	134	1548878668000
103	3NL1wRb7gojHFG7zgY837hjEaHZEQkiNUaTa42svaQvdmE79icbB	102	3NL7Cdju3LYi9kaVtZ9U24XifkSrqQwf6LYK3sZpuiQTh3gc6Z8o	1	1	4	1	104	jxXopzMyMaEKVuXA7hNXJtj1LxgXBi93sZezuNMMUCJz1cd3xS8	103	135	135	1548878670000
104	3NKtYLiVtJkKZYeKeBLuMeNAkz9EaC91eNgZLRsoC588F1rNabtH	103	3NL1wRb7gojHFG7zgY837hjEaHZEQkiNUaTa42svaQvdmE79icbB	1	1	4	1	105	jxw89uvBWt6DYN4h3NerNa4sULHBZ1ggUdLJCGAew4duDYK66VM	104	136	136	1548878672000
105	3NLp8XVDcdget5KLGY3BnG6L5bkFXrCuKQ6j38Ex2wQ1tw8AP658	104	3NKtYLiVtJkKZYeKeBLuMeNAkz9EaC91eNgZLRsoC588F1rNabtH	1	1	4	1	106	jwfhcnDa1psVE6zsu5YwWWELwNunEPEHVGjoJW7df4Wc9E71cJ6	105	137	137	1548878674000
106	3NLaeq2FSkmg4qDdPfsMp9ZKzxyDH3AUVTgCpGUmGtUCdMFP2qTz	105	3NLp8XVDcdget5KLGY3BnG6L5bkFXrCuKQ6j38Ex2wQ1tw8AP658	1	1	4	1	107	jxmqefw9EPBLynKkMrWW3wF5XTAPJSXKeWUZEpP5ttmyQ2R4AES	106	139	139	1548878678000
107	3NLgGxJcnBfLCeMdE3KWS1Eae7QLC24qwqFFHMnNxZmwhyiPuSuy	106	3NLaeq2FSkmg4qDdPfsMp9ZKzxyDH3AUVTgCpGUmGtUCdMFP2qTz	1	1	4	1	108	jwKgvzUDo3hSy9PMLwfXfpw8Hgsfzcp6UjjYHhok5CDnzUKGEGq	107	140	140	1548878680000
108	3NLhVA5snhtjBbC3cfoXkvmA5mdnJGcTUKaRidGkQsDNucJMCfB4	107	3NLgGxJcnBfLCeMdE3KWS1Eae7QLC24qwqFFHMnNxZmwhyiPuSuy	1	1	4	1	109	jx6iQP1VqgTHh4X3CMs6zRgMLR7XbJT6BEadU3vPxi2tyxErCNW	108	141	141	1548878682000
109	3NK7ds3tyL2mPSYDnPVS6rfmWiZdTMprjPmEgC7S1Xu9bB1SPZfZ	108	3NLhVA5snhtjBbC3cfoXkvmA5mdnJGcTUKaRidGkQsDNucJMCfB4	1	1	4	1	110	jx3wjTrDv8gYAd1yJoggkSLdHHnJhRREKNdomsQtfiU4osK66of	109	143	143	1548878686000
110	3NLpaSNFp87WwvuiGCRrutBm9em2G1BEKR4n1JaTMmGNf4wYyBjb	109	3NK7ds3tyL2mPSYDnPVS6rfmWiZdTMprjPmEgC7S1Xu9bB1SPZfZ	1	1	4	1	111	jxJcYEP4qCKYxHHCgPZE7AKXLVAifCPRiartkpCzXPG5EBT5qQ6	110	144	144	1548878688000
111	3NLCfsk8KGRj4XnEUcKWN5KdkouujKFVyVYnvr1H7XfDLAHPaRCU	110	3NLpaSNFp87WwvuiGCRrutBm9em2G1BEKR4n1JaTMmGNf4wYyBjb	1	1	5	1	112	jx3QjXhRk4DfqfZRn8993FrF9KYN52QAbcau1PvfrfRtN36iQD6	111	145	145	1548878690000
112	3NLa2MaDV6NbvmP76bsjzCYwbK676QxdvbkUfdEa4Dq7YUT9TW6D	111	3NLCfsk8KGRj4XnEUcKWN5KdkouujKFVyVYnvr1H7XfDLAHPaRCU	1	1	5	1	113	jxkLrEPECoMxLq9H14Y9HfM2A1CmtR2Tjhba42Siv6NPK5gQUNz	112	146	146	1548878692000
113	3NL5pveYN9rZ8DQCYsNeTNdanb2RGTT7EMjmZxVqixtoD8h9HN4e	112	3NLa2MaDV6NbvmP76bsjzCYwbK676QxdvbkUfdEa4Dq7YUT9TW6D	1	1	5	1	114	jxvV4PdzK6m2HXpKgN5qjn9dPYYtUhmQD4ZeBQ6vfCbmhNc9oDx	113	148	148	1548878696000
114	3NKTSW2vKqARfR4PkVKhYWzi9DErpc9PZcWMRXuyuC3GESvSoymY	113	3NL5pveYN9rZ8DQCYsNeTNdanb2RGTT7EMjmZxVqixtoD8h9HN4e	1	1	5	1	115	jxUTPYz5eB8edAKMoBu9KmW5SuGCQfpacvendmhEoMeEfxzAs7C	114	149	149	1548878698000
115	3NKikK2ux8cP9Hhu58gEpSERgPidpqqWmSftrNH1hoadaavFBSr8	114	3NKTSW2vKqARfR4PkVKhYWzi9DErpc9PZcWMRXuyuC3GESvSoymY	1	1	5	1	116	jxQkwSNvR9YCRZ25ZCcj8sg9KVsaTetqSxNd91xf5X7tZTAXo2L	115	150	150	1548878700000
116	3NKnU4RoWfswRhDGY3ex4isANgSD97otrDE15w6skLCqkzrDExYp	115	3NKikK2ux8cP9Hhu58gEpSERgPidpqqWmSftrNH1hoadaavFBSr8	1	1	5	1	117	jwr2WQHEJBwQebZTAHZoz9NQvWnDfqcMWugeoBK5wphuDcPjZot	116	152	152	1548878704000
117	3NKVsiPcqFCnwDWsbjrZXFeKEjPzGRG7o7WmS1s2uYYGLH5YxCkn	116	3NKnU4RoWfswRhDGY3ex4isANgSD97otrDE15w6skLCqkzrDExYp	1	1	5	1	118	jwM9vh6JkJiXWDfWWDKFEPAVKijqSJpFSc7PeV8chtuDNVd3soh	117	153	153	1548878706000
118	3NKSV4wRHYuut9TQE2QPUt45Ntv2LiXRu141ordpkQmVLYSaQsaT	117	3NKVsiPcqFCnwDWsbjrZXFeKEjPzGRG7o7WmS1s2uYYGLH5YxCkn	1	1	5	1	119	jxMNboVz1p3DDLYhy6pafWYy4bfroGHadGsQRiVGUmNeH3Cjyay	118	154	154	1548878708000
119	3NLZFQ8X2VusHfqPyU9jsaqY74Ws8n2saBZzqYjFjzVRajYnHe3M	118	3NKSV4wRHYuut9TQE2QPUt45Ntv2LiXRu141ordpkQmVLYSaQsaT	1	1	6	1	120	jxNHMJvoMkvagRZ35goTN5Y2fBELUQG88Ms9V39PMi9td6R7gHc	119	155	155	1548878710000
120	3NLphTfJUJg574aSi83Nj6cZ57n8yyAaoAnDdEmjo4FGfg6DH4vK	119	3NLZFQ8X2VusHfqPyU9jsaqY74Ws8n2saBZzqYjFjzVRajYnHe3M	1	1	6	1	121	jwXyDk1XwhrhwxkoAVCqBwxidK44Q74J44wDNq85xH2o5H3SGzV	120	156	156	1548878712000
121	3NLLAZiuPTd1v4gDicurP1r5uvbsz1m8KZdm3Fdy7HDa5VGnpMZx	120	3NLphTfJUJg574aSi83Nj6cZ57n8yyAaoAnDdEmjo4FGfg6DH4vK	1	1	6	1	122	jxoggdgvkxiYp9hsaZHpnP1Fi1VU3NrpEDNbk13tU7UoD2fiZtZ	121	158	158	1548878716000
122	3NK3NhtGeip6rEHNU3oCWvhoAzS67t7b4uizWk2mNfSEGbwbgqMA	121	3NLLAZiuPTd1v4gDicurP1r5uvbsz1m8KZdm3Fdy7HDa5VGnpMZx	1	1	6	1	123	jwJvZgNtHaHqgozvVwgmggW3fxvKQuLWfaogmeLqabuvbZu1cgg	122	159	159	1548878718000
123	3NKLTYtDs64BpjNbvMjNoUPs6TNbLgwLk3Kqy1rBtXWBPVWPxCxy	122	3NK3NhtGeip6rEHNU3oCWvhoAzS67t7b4uizWk2mNfSEGbwbgqMA	1	1	6	1	124	jxy9fXcvNGYX9C5nea88o8ikZYp2TihFVBJYcFkNQzPte3SeLYR	123	160	160	1548878720000
124	3NK5zMP8qqyxEUDjeavABJb4oJwfV9nHHNkc3Awh2nNkSPp1Vdja	123	3NKLTYtDs64BpjNbvMjNoUPs6TNbLgwLk3Kqy1rBtXWBPVWPxCxy	1	1	6	1	125	jwsqwBGpLF2wMum5CjkkkMNp7N1NSBUHSqCMV82h7dguk3xAXeq	124	161	161	1548878722000
125	3NKMTX78YF4d3GZ8yuuhMvQrr4WGy1rVetTiGr2Xnu5PdLHZWmXH	124	3NK5zMP8qqyxEUDjeavABJb4oJwfV9nHHNkc3Awh2nNkSPp1Vdja	1	1	6	1	126	jxS1J34pUxEzN7LKS6b6XmpMSi9rdo46GbdJmhifqoBjzwM6BBL	125	163	163	1548878726000
126	3NKnykiZgxXK3NAZ264eQps8bFnydBPEi6LTng8UPJY2CdwoYwhS	125	3NKMTX78YF4d3GZ8yuuhMvQrr4WGy1rVetTiGr2Xnu5PdLHZWmXH	1	1	6	1	127	jwySGxUPNMvJNbDxmAke1rNmqQ77caZrxCtaGkkVZGfPmxeCojv	126	164	164	1548878728000
127	3NL8uC5QK2tWtSLDvodVijV5HZbDs5SWKsaAYfgKsFsS5YBqLBr7	126	3NKnykiZgxXK3NAZ264eQps8bFnydBPEi6LTng8UPJY2CdwoYwhS	1	1	7	1	128	jxR6ek5D3a13rxg2EG2riNRXHLuLkwCYq847K3Gqfvf5kFezJ8v	127	166	166	1548878732000
128	3NLM34DoqxkM66sdNPAaHRNt9GcnXcAcnJw9CNPSbh5WiiWa8fhR	127	3NL8uC5QK2tWtSLDvodVijV5HZbDs5SWKsaAYfgKsFsS5YBqLBr7	1	1	7	1	129	jxsinYR5a3mUgZwLC24qDjRZdybQY1p8eu8b2eaq96ZiSZG3LB9	128	167	167	1548878734000
129	3NKu4jYz72uvPrrEGaprkjcqKDzzDAQxzX3sxJ4X7xvMQcmHyPbM	128	3NLM34DoqxkM66sdNPAaHRNt9GcnXcAcnJw9CNPSbh5WiiWa8fhR	1	1	7	1	130	jwp5KSyH9WgBEQuEV5nBDgD2zgK31djCAKRkQCL4Xe29eb36Afi	129	169	169	1548878738000
130	3NLVHyuWfLTpakRj9F8Stcge3dvpWk283NgVT7m8NDoqnivT7irm	129	3NKu4jYz72uvPrrEGaprkjcqKDzzDAQxzX3sxJ4X7xvMQcmHyPbM	1	1	7	1	131	jx6Th9mdG737NWXs2DY5Uv4VuEdzLhr4nmGhPjjQVwdJNpCWEKu	130	171	171	1548878742000
131	3NKirFPZ6v99yVNkBWbDP7uWe8ZoHL7qPSExju6yvDm3E8gB9Nw1	130	3NLVHyuWfLTpakRj9F8Stcge3dvpWk283NgVT7m8NDoqnivT7irm	1	1	7	1	132	jwVykmowg1K4uum2TPcCWLM9vqu312dej8Gy2rcqCc1rvs4YJBh	131	172	172	1548878744000
132	3NLa14oNC9fYxYEALwZ1MPGXqDQeHutCQavJw39TsURzH5S2vUUJ	131	3NKirFPZ6v99yVNkBWbDP7uWe8ZoHL7qPSExju6yvDm3E8gB9Nw1	1	1	7	1	133	jxHQvxuZDaoWiavQ32NLU1CwA9L7W2sneyRSwdjpXRpUChRj4KZ	132	174	174	1548878748000
133	3NLXnCkeWd7KPJPNUUhi17ymTpih1FUaYjgxRLXcrR3BuzzvYo1x	132	3NLa14oNC9fYxYEALwZ1MPGXqDQeHutCQavJw39TsURzH5S2vUUJ	1	1	7	1	134	jxSPCm9fdWdbrVnPY6zGfhVqQcHQv7QE5JsZ1FwbCEjZB1Dv28S	133	175	175	1548878750000
134	3NLycNJJttc12Q8haDDmfURtZKBHrtnVcpzt6cZefgXZaCMHU8c3	133	3NLXnCkeWd7KPJPNUUhi17ymTpih1FUaYjgxRLXcrR3BuzzvYo1x	1	1	7	1	135	jwWwMij8jiY41L4jgvARybTWQ5ZcuH1nceZN5L5n2uzvmd4uQzd	134	178	178	1548878756000
135	3NKJ498FtJvbbdY75vmNi1CiNUHgRmPiQPBf1gmtzk6DHf6z34zi	134	3NLycNJJttc12Q8haDDmfURtZKBHrtnVcpzt6cZefgXZaCMHU8c3	1	1	8	1	136	jwGVHkmwYF7YNUL5Je8cmKuT2e5ya1JoRCKTN3BCZDoy6Xi9rSN	135	179	179	1548878758000
136	3NKP8WTwLQ1c5dqguv3KuHuBPmenDxh5yqJJwx5ioXLkoiF4yNDC	135	3NKJ498FtJvbbdY75vmNi1CiNUHgRmPiQPBf1gmtzk6DHf6z34zi	1	1	8	1	137	jxCgvj5J8U1VjnKiygZUEKH2RbD8znRnJsbRtAbx8jjdRwuCadS	136	180	180	1548878760000
137	3NLn1Ne7eWYxGUfwz3Z3u6vZ4C7ziBbsBEU4vYV7fVwvapBtzd85	136	3NKP8WTwLQ1c5dqguv3KuHuBPmenDxh5yqJJwx5ioXLkoiF4yNDC	1	1	8	1	138	jwxrGhXpN1sthPt94FhdhvKcadPARwxqbKzdNFdQfS2YVfd129Y	137	181	181	1548878762000
138	3NKzD3bTq2Xg7f4vyGaRzC5SprzjZETfZz3ohX6NGUnKgAxyoZcv	137	3NLn1Ne7eWYxGUfwz3Z3u6vZ4C7ziBbsBEU4vYV7fVwvapBtzd85	1	1	8	1	139	jwGx2xUqQ7UMsRv88e6ci5M1JTQYhESGsKNab62dzwQSrfN9fZA	138	183	183	1548878766000
139	3NLwsXhcS9dK5bFT1buEJrbR8ggvVX7aFk4eRXxSWSt9toz9RCJ3	138	3NKzD3bTq2Xg7f4vyGaRzC5SprzjZETfZz3ohX6NGUnKgAxyoZcv	1	1	8	1	140	jxJqskGgKqBTWtujY8HezXziyrJnQsKoR2y1WHJowwa9oGrGR7Z	139	184	184	1548878768000
140	3NLf2DmfsfoshNNooP1XbL1AhwT5eKuefieQdTakB8SrgPSfmA3q	139	3NLwsXhcS9dK5bFT1buEJrbR8ggvVX7aFk4eRXxSWSt9toz9RCJ3	1	1	8	1	141	jxQkEQENoayJya8UuuAnXTwHmREjvM5QLMeHT6Q4byndG9zKvcN	140	186	186	1548878772000
141	3NL4eSpqFMCrnTFusjUv9ePZ3KuDe1JpS8h9kMk3xL86LHYZdDL4	140	3NLf2DmfsfoshNNooP1XbL1AhwT5eKuefieQdTakB8SrgPSfmA3q	1	1	8	1	142	jxMgraMJoYsUSQHt6mkPVKxcri3NL6DrFEX9R8bpLga7HnMs14D	141	188	188	1548878776000
142	3NKrzC9NXMetET4pRzSYbmA5ZhXavU36kV8emRW6NZeE8Bxns3ms	141	3NL4eSpqFMCrnTFusjUv9ePZ3KuDe1JpS8h9kMk3xL86LHYZdDL4	1	1	8	1	143	jxyTnWSHqi9dyJEk8wqcEzgmcWfiffeTyMq4hDeAg3oG4iWPVmo	142	189	189	1548878778000
143	3NKqjmxyMU9NJVD2WtLQ6q7wLgu8MXXNdBQtufpWDBpYw7BUc6DL	142	3NKrzC9NXMetET4pRzSYbmA5ZhXavU36kV8emRW6NZeE8Bxns3ms	1	1	9	1	144	jwrTSwoiS1sAhWERpto3d6sWx87brRxfbCfY9FWoWq7FuddWHRS	143	190	190	1548878780000
144	3NLuHrBw6Lnu2rdvVHRuYuAG3CiGZJTt8wiLK5cu19KDkq5B6Reo	143	3NKqjmxyMU9NJVD2WtLQ6q7wLgu8MXXNdBQtufpWDBpYw7BUc6DL	1	1	9	1	145	jxQCBEFyZSC5kLqhFqyvpHrADbLLCMgmYtL2WE597A5JBKZL93J	144	192	192	1548878784000
145	3NLgkSwDAHG2LWjMvqkPdx9ZavvFvbT33aYa5dGNW6qfw64vJ5QJ	144	3NLuHrBw6Lnu2rdvVHRuYuAG3CiGZJTt8wiLK5cu19KDkq5B6Reo	1	1	9	1	146	jxcHsueUmS6CENZmvo7WiTb4ZDqgjAc4wNvGbYpwH5HR69iSo3L	145	194	194	1548878788000
146	3NLijmwJSM1tjjUN5pV7877m5n38rgbbrvj3F1fBxfmiGAsdm8mZ	145	3NLgkSwDAHG2LWjMvqkPdx9ZavvFvbT33aYa5dGNW6qfw64vJ5QJ	1	1	9	1	147	jxfYYhS5mAmuDGET2CpEZk526HME98wzhXDFfTyvnSEAUFiKyni	146	197	197	1548878794000
\.


--
-- Data for Name: blocks_internal_commands; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.blocks_internal_commands (block_id, internal_command_id, sequence_no, secondary_sequence_no, receiver_balance) FROM stdin;
2	1	0	0	1
3	1	0	0	2
4	1	1	0	5
4	2	2	0	6
5	1	1	0	8
5	3	2	0	9
6	1	1	0	12
6	4	2	0	13
7	1	1	0	15
7	2	2	0	16
8	5	1	0	16
8	1	2	0	18
9	1	1	0	21
9	2	2	0	22
10	1	1	0	24
10	5	2	0	25
11	1	0	0	26
12	6	1	0	29
12	7	1	0	30
12	8	2	0	31
13	6	1	0	33
13	7	1	0	34
13	5	2	0	35
14	1	0	0	36
15	1	0	0	37
16	6	0	0	38
16	7	0	0	39
17	6	0	0	40
17	7	0	0	41
18	6	0	0	42
18	7	0	0	43
19	6	0	0	44
19	7	0	0	45
20	1	0	0	46
21	1	0	0	47
22	1	0	0	48
23	1	0	0	49
24	6	0	0	50
24	7	0	0	51
25	6	0	0	52
25	7	0	0	53
26	6	0	0	54
26	7	0	0	55
27	6	0	0	56
27	7	0	0	57
28	1	0	0	58
29	1	0	0	59
30	1	0	0	60
31	1	0	0	61
32	6	0	0	62
32	7	0	0	63
33	6	0	0	64
33	7	0	0	65
34	6	0	0	66
34	7	0	0	67
35	6	0	0	68
35	7	0	0	69
36	6	0	0	70
36	7	0	0	71
37	6	0	0	72
37	7	0	0	73
38	1	0	0	74
39	1	0	0	75
40	6	0	0	76
40	7	0	0	77
41	6	0	0	78
41	7	0	0	79
42	6	0	0	80
42	7	0	0	81
43	6	0	0	82
43	7	0	0	83
44	6	0	0	84
44	7	0	0	85
45	6	0	0	86
45	7	0	0	87
46	1	0	0	88
47	1	0	0	89
48	6	0	0	90
48	7	0	0	91
49	6	0	0	92
49	7	0	0	93
50	6	0	0	94
50	7	0	0	95
51	6	0	0	96
51	7	0	0	97
52	6	0	0	98
52	7	0	0	99
53	6	0	0	100
53	7	0	0	101
54	1	0	0	102
55	1	0	0	103
56	6	0	0	104
56	7	0	0	105
57	6	0	0	106
57	7	0	0	107
58	6	0	0	108
58	7	0	0	109
59	6	0	0	110
59	7	0	0	111
60	6	0	0	112
60	7	0	0	113
61	6	0	0	114
61	7	0	0	115
62	6	0	0	116
62	7	0	0	117
63	1	0	0	118
64	6	0	0	119
64	7	0	0	120
65	6	0	0	121
65	7	0	0	122
66	6	0	0	123
66	7	0	0	124
67	6	0	0	125
67	7	0	0	126
68	6	0	0	127
68	7	0	0	128
69	6	0	0	129
69	7	0	0	130
70	6	0	0	131
70	7	0	0	132
71	1	0	0	133
72	6	0	0	134
72	7	0	0	135
73	6	0	0	136
73	7	0	0	137
74	6	0	0	138
74	7	0	0	139
75	6	0	0	140
75	7	0	0	141
76	6	0	0	142
76	7	0	0	143
77	6	0	0	144
77	7	0	0	145
78	6	0	0	146
78	7	0	0	147
79	1	0	0	148
80	6	0	0	149
80	7	0	0	150
81	6	0	0	151
81	7	0	0	152
82	6	0	0	153
82	7	0	0	154
83	6	0	0	155
83	7	0	0	156
84	6	0	0	157
84	7	0	0	158
85	6	0	0	159
85	7	0	0	160
86	6	0	0	161
86	7	0	0	162
87	6	0	0	163
87	7	0	0	164
88	6	0	0	165
88	7	0	0	166
89	6	0	0	167
89	7	0	0	168
90	6	0	0	169
90	7	0	0	170
91	6	0	0	171
91	7	0	0	172
92	6	0	0	173
92	7	0	0	174
93	6	0	0	175
93	7	0	0	176
94	6	0	0	177
94	7	0	0	178
95	6	0	0	179
95	7	0	0	180
96	6	0	0	181
96	7	0	0	182
97	6	0	0	183
97	7	0	0	184
98	6	0	0	185
98	7	0	0	186
99	6	0	0	187
99	7	0	0	188
100	6	0	0	189
100	7	0	0	190
101	6	0	0	191
101	7	0	0	192
102	6	0	0	193
102	7	0	0	194
103	6	0	0	195
103	7	0	0	196
104	6	0	0	197
104	7	0	0	198
105	6	0	0	199
105	7	0	0	200
106	6	0	0	201
106	7	0	0	202
107	6	0	0	203
107	7	0	0	204
108	6	0	0	205
108	7	0	0	206
109	6	0	0	207
109	7	0	0	208
110	6	0	0	209
110	7	0	0	210
111	6	0	0	211
111	7	0	0	212
112	6	0	0	213
112	7	0	0	214
113	6	0	0	215
113	7	0	0	216
114	6	0	0	217
114	7	0	0	218
115	6	0	0	219
115	7	0	0	220
116	6	0	0	221
116	7	0	0	222
117	6	0	0	223
117	7	0	0	224
118	6	0	0	225
118	7	0	0	226
119	6	0	0	227
119	7	0	0	228
120	6	0	0	229
120	7	0	0	230
121	6	0	0	231
121	7	0	0	232
122	6	0	0	233
122	7	0	0	234
123	6	0	0	235
123	7	0	0	236
124	6	0	0	237
124	7	0	0	238
125	6	0	0	239
125	7	0	0	240
126	6	0	0	241
126	7	0	0	242
127	6	0	0	243
127	7	0	0	244
128	6	0	0	245
128	7	0	0	246
129	6	0	0	247
129	7	0	0	248
130	6	0	0	249
130	7	0	0	250
131	6	0	0	251
131	7	0	0	252
132	6	0	0	253
132	7	0	0	254
133	6	0	0	255
133	7	0	0	256
134	6	0	0	257
134	7	0	0	258
135	6	0	0	259
135	7	0	0	260
136	6	0	0	261
136	7	0	0	262
137	6	0	0	263
137	7	0	0	264
138	6	0	0	265
138	7	0	0	266
139	6	0	0	267
139	7	0	0	268
140	6	0	0	269
140	7	0	0	270
141	6	0	0	271
141	7	0	0	272
142	6	0	0	273
142	7	0	0	274
143	6	0	0	275
143	7	0	0	276
144	6	0	0	277
144	7	0	0	278
145	6	0	0	279
145	7	0	0	280
146	6	0	0	281
146	7	0	0	282
\.


--
-- Data for Name: blocks_user_commands; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.blocks_user_commands (block_id, user_command_id, sequence_no, status, failure_reason, fee_payer_account_creation_fee_paid, receiver_account_creation_fee_paid, created_token, fee_payer_balance, source_balance, receiver_balance) FROM stdin;
4	1	0	applied	\N	\N	1000000	\N	3	3	4
5	2	0	failed	Amount_insufficient_to_create_account	\N	\N	\N	7	7	\N
6	3	0	applied	\N	\N	\N	\N	10	10	11
7	4	0	applied	\N	\N	\N	\N	14	14	11
8	5	0	applied	\N	\N	\N	\N	17	17	11
9	6	0	applied	\N	1000000	\N	2	19	20	20
10	7	0	applied	\N	1000000	\N	3	23	20	20
12	8	0	applied	\N	1000000	\N	\N	27	20	28
13	9	0	applied	\N	1000000	\N	4	32	20	20
\.


--
-- Data for Name: epoch_data; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.epoch_data (id, seed, ledger_hash_id) FROM stdin;
1	2va9BGv9JrLTtrzZttiEMDYw1Zj6a6EHzXjmP9evHDTG3oEquURA	1
2	2vaRh7FQ5wSzmpFReF9gcRKjv48CcJvHs25aqb3SSZiPgHQBy5Dt	1
3	2vbvbjuXgxyMfVYKdeLbfqwGRYwwKWPQmEaWLmr3ZA6MSxHaNwSt	1
4	2vbAfed35xDiWYdabtEYzKzKw3jTTmiopfR7kBjfKMZC2idhL5HU	1
5	2vbPTi5wcnLZLjjzLUBGmYXCHHEWN9bAdPnx2DqV5rB6pMr3H5Rb	1
6	2vaJ4htPS98pe9cNami5j9SWfwFwdLPtiH2Sd5wFS5sgPRT5zMHt	1
7	2vakZaHvFtSQrWhCzRBEsCQWpcFm8LBujZ4Np2of2EuAKxcp8tGe	1
8	2vbiuaoYtDQUhncQCxy3DYFeJyZb2dqqqbgnrud8sJSyXAPFm6Sh	1
9	2vbuG5H8znjMkFWg6gJPaY14bbREQFDpukKRsenRJf4yCuKTuNS3	1
10	2vaMWfM13mB1ozpGYZhDKv4LkEyY9v6SYbrR8XcM44NtSNKDgw4z	1
11	2vaPb25mRyz69JAjWiL3Sp1dqoVjLjcuuaqwjr9Lta87PmD5bALG	1
12	2vav8kdA3vuydAxjv4LXjZyKhZ8wNKQuB4ZiH1QBuyiGYkRkNnPa	1
13	2vagB9gvPhkbk63AgR3fzaiskEh79eMasULh21PC78qy8s7rFfYt	1
14	2vatyhZrMhAS7yvMJmfzEfg5bwaFtodcGdofPKjZ7yV8zGgR43Nx	1
15	2vbUiAAcWcBFYhSpnfU3Kj3NvK1hCT1SEweajPcKigmdgXY5qdoJ	1
16	2vbE6En1mujseL9s8F646Y4XFzRyL8TFc96TUGM3y4aZzk2Dvj1y	1
17	2vaCCsrbCWY4eUaGEGcqfc3AL5eHozzE5cXpPeMSuEKRWDRCpd7B	1
18	2vbbTT9ppUNpKF9ictmLfxMNoUV9r7T7ELBe5NbZBnoGfARN7U3S	1
19	2vaLHcDsouS4V5mDBTLXEezrMy9hgVHDMZq3Q6YHCoFga5rJBS6B	1
20	2vaXe8MKanT6DjewrCZLitgbzvYYPHHRGBSiae8su9ptEz9togWH	1
21	2vanrKJA2252NDHQ6Y1j3spkdoTU5fwPefzsz6Q9tscQNzdpivuR	1
22	2vbrr7hNZSqcsnQFTiKrrxuxawkKKQKGhFsvYfnNKydcnDtmxu8Z	1
23	2vaZWs3LpEKAUKLvaqYZ8mEbmp2RArPCrg28NPBJ4nDU1XxZPGkN	1
24	2vbNmrKELLk1Hj5KYJqYmZ6g9k8TzxMgQ6E9n7by9r1mewtAzCVP	1
25	2vbpURvGLB6Ue49zC2BPCBSPatkFSRv6jLPcQd8qmfw4L672iQUV	1
26	2vaP4ZcV2ZRVF1EqmMgeaTN2cX8YaWDJcpv1L98gbeyxWEYey5Sh	1
27	2vabDUrKNGC7pZCj5x75HdTpSyeMJUqw3HC7kashDhB7faD2KpuX	1
28	2vanT7fk9XrQf1okXnafzvuGSg9ukhogbFESEH89aWV2fgcUtAqv	1
29	2vbqej4134U7Lu8k9WssEcJRjqXvyfCoeU8eFCWHpYEEwoM8NkiB	1
30	2vbQZ5dsNKvWcVgFWxEEkeFns4p7FMSZxDpKiu1kjAw6PmPMEqpz	1
31	2vaB6Wxv87uJziyb55g5V4dDf1AxhYe9TNnvZek7KJFq2W2bg49D	1
32	2vbAaJhW5Gd5DfWXyjY6nk8QeQTKq1MpeDg7jDcSbUAj3VLPE7Pi	1
33	2vbyUjPoTAKw8dwqiMHPKpwsdTAuoHX7uJZjrTCyDZbcnGbmnnLC	1
34	2vamnekNcVuW8NdzXkZPUPdZ9qfa8fyYyZB9cySjKgqufmw3iJmL	1
35	2vamkvTv8pHL8PjbshCfNqbqfekmfsMzQcr3zBwE1kzcex94KjDv	1
36	2vbU9RqsMzF5iJ2q4ewYTdYecj11X7Es9djGKdp2TrFQpfUCQCFE	1
37	2vaDT2kQvNea74Qwc6MGx9Dahfed6LztFuiCydwH6f2Z1GKrCdXB	1
38	2vbEexUoCScSU3dhkGaq146q1nAJB6fJtJp5qgMvtpu6q2oTV1Mn	1
39	2vaaHQ2pp6QytddD34fb9X2ygbQKAZbfqTorQCbdnJNcGqsTjSD6	1
40	2vc426QVzLJRvUqiYGN5SWohpVZyjAecc8hWvYYsmzAaz4KBWPVC	1
41	2vaP4UsRdAwC5nbfnaG9tFuZcs7QjTa2osL9iMoywt48Hz2eKQKN	1
42	2vb1cLcC7Gvyg3Mx7H3CkUqiKZJG8jdCgrJMWrDP1qs8CA2mdi5X	1
43	2vbXicLHGigBZDnL6AAt9j6dHJPZTuFc7TghkhXJLt3uaH1Zk33o	1
44	2vbqqMzR9nUjZR4VRYHymGhtZrPPKX7noFNRxe9T8ag6AkK7V5Jw	1
45	2vaxhCxEQp7LEXuVCuCWnLts8rsx3NKU3nyxDQAbpppon1Y2es1F	1
46	2vakyP2GAr1ipY49PykehdM4CaKGuFTcDoKWSR1wxJ1y1FgwJjNC	1
47	2vacK2jN5V8xBgFLiqrtMSVXFVo7ekb18B3mhbC6qDKstKvzRvfi	1
48	2vbPn5kqxZJtehiAbVzLBCjZkStAkWWCxHpwvCLcVbo7h3roqTQG	1
49	2vaC8YaNbTdpX4wxwC9XcYrsppZwzf37C4AnqkbXiRLL3RVaBpa4	1
50	2vc2fApigfvQvXxdXxDGa1KxMWTk5DJGHQ5XdTzxWCLq69oH829L	1
51	2vaMaNUqruxM2M2qcfjVGWrkuWcoXgzo6z3JgQQYwBYuvzkN2cnq	1
52	2vaBSiHEeS48sHHnLd5cpu44PT6edRYELdFvEFCX7ckLwXf71QmN	1
53	2vboN9VpAofJ57CSkkvC6BokhU6Qsup1Eu5hbWuZZf9TxD4PBFpG	1
54	2vaZdhYy1TzV5xtiZW1tbxUyDogbw5QmX9mYbnWqboQW5wKyDsJN	1
55	2varXiJUVkKH7UNo3nvWUg6tRq3uWvp5QQjHxbYnMwucdJGvdtAq	1
56	2vbKAhiRcvxw2XTVMgoJWo2uivk5FRxGZmAVEDWsSzDCCYmxXe2p	1
57	2vbgt9J1b9jQfUqnB1gTm64E4qjpAkFjYGHCZuSouv1wkF3c2ZZy	1
58	2vbud8tkeKdtD1cwX9CYrNMDyABYMEgzk9DGsH3LjarbV4Pn51Bh	1
59	2vaGtX5gcusdWC45pXFTrsRSofG3nu2mjJQTuHMkAMydMd5oWJSm	1
60	2vaWEzAR6dN9Z8RNfuuP2T7aBSFK9MQW85A33VdVf36RkhsxNH5N	1
61	2vbU2xh8cf7pmEUZM58evWY39GndsraXyusUTjVzEtG5REe8yPV6	1
62	2vbjAdycANPYtjLjpUi2mbKYiVhtmC6xrHhjtXQe59YoY36ZppzU	1
63	2vbDQay9bzJ7zgCGpB4zYC4ydPzuUWmvsd2Wha6Ue9X3sjy1AF5D	1
64	2vaAWF4HQXpiXuR5cQKXwFSqfkWYHa3hrjjGTcy4Dr1RDpcijBfb	1
65	2vbDjs61xF1jBHvrVZzv8UTSvR2ALpKoTR265GRbMQsB7W8a1YJ3	1
66	2vbwJbRjCSWt69Xvx3T336ZjUfwfLuAHtWRpNGqHo4gx9XWJKKUW	1
67	2vb64qWxvkkD7pHXd57YpoxCW37eTzXhnPYNSpKaFQUYuQkvZ5A1	1
68	2vbbwyB8bvsynQzroxKfEWJpSpvt5puKXJuAZvG8QFrug67QMC17	1
69	2vbnyasiCRHwCgF1JdkZbi7FeaRvNuLzvh5Agj2Vr9Q2EC4jHhN9	1
70	2vbPRdNrEUsngLfCvKzqpfJCGUw88eNvGm6TTSfbZqhY4bre29pZ	1
71	2vc5Mp5j5gisaNHyP2HC8NE5Wi7aP9Y6fDqWMPe4mBqtNqhNABo1	1
72	2vbKnvL1biopHqJ1H5RPW48VbJM3CXPj9WHgmvhZkXTzCJV5dbS4	1
73	2vacLU7JBSzdgub8NyCBNL7xazHEKGChZeACR4DhCohB6YtGu1Sx	1
74	2vajf4pRQykHZ8J8v3ASq5YAD8JrxfurmgP3HAQipveQweqzKRmE	1
75	2vc21fKb3rQE5VapynY8zFpyDy1kP7aEm3kyXJTz7SaCVgGdHbjK	1
76	2vaYdyCfT4cwHpHiChvwJCnX4PpaopoRUPf2nGYuLdk3PjBk6edM	1
77	2vbmBdJHDtgBk1Sm3Anp2UsJitY774ckKfRfvjCRoRbNcGVZ243w	1
78	2vbBwkE8cPHx8BYCem9cW1YDN3jR5KqFeLMnwBqsYtnRbBoaPp4T	1
79	2vb92M5c4LYvHWRU817kiVitE29x1GRGYLzW2G3Efn7g8VkFYXxj	1
80	2vb9YzodDcrZGfWDkeJymFcmXqJ2sKQucWkyeEcfHH6Ji7DKheug	1
81	2vaJpPeWyK6hgtrVdfNTcrqDm7WaQzLpKvTbBCTCov8tE7kRdpd2	1
82	2vahSe755xrv8gHHNbon5t1VuWX5pQpA5mWFUj86X55sGc8jQt8p	1
83	2vbFgEEmTrUhaxJpEbds5Ld5Z2kubug4mx3FWNJE1ZP7vmoY9D3j	1
84	2vakVtn25KsVPv5JJnHB7iJApjCTorgNzJwXvgwku43MyrtULuBM	1
85	2vbDFqcEUqyNoLzjWug23TxeFEx5it5ciLAcQS5RX8y6zdXELSCQ	1
86	2vasz9cQAZi2GPnn1FE81DRb4whDkMov8Kdk4hLrMBfNUTtpsosh	1
87	2vaHYNSHR2Z4KVrsAsCeSkBM8PkH3GF2s6mNK4E6dPPL6wdH4EXS	1
88	2vbMQ7PnHwJb5F2rupxywJhYygXhesk3HvJ19ngPgKmTGVNVwaU4	1
89	2vbpa7CtM7FWycdXuiMcfMVDVcwcZwFHcBKM7jsGGHFedLWn2645	1
90	2vaRmA2sMVUKbbwGNzivkM55sveh3deiSvZYbfvgYarfdBpKgyn4	1
91	2vbgnGD1shYX64mbGjQLHtxkB1ECb3QdbXoFq8nQ2x71GNTa6qk4	1
92	2va9Pq8GGVbNUtLv8xhSL34k4zv5TQA8Lb6svjbmhGXDupCV4Cnk	1
93	2vbZXHNLhdgdxwdGGCynGaoQ2hGbyVZUFW1AznBdCQXjMHzYXEyL	1
94	2vaYA9dGNi3aaezLrq5qaSwYkydT5NnhNzEQMqDYfUwkzhmhbw1t	1
95	2vaQJ6asLYfhmho5F9qoEyQEhtzM5jBWETftAWxWFJrtpgFteFYs	1
96	2vbeGKQUkadrmZ5uHZnFqdFPLUgoKK7uUgMWeovKXxsWHcMb75FC	1
97	2vbfuvfbS5s2XejJHnJNLZLwFshmk3RtK4btC8Qdc1UytvHr4MxR	1
98	2vbNdmXD8WyLWJk3SqMMSupJLxXonCQ4B1UUCA4WuTX1nkQ5zy7s	1
99	2vaA9bSVHCAk7vhDMigL81GMXGytKjsBsbfPZWpL2dFHxZp4ZUkU	1
100	2vbTwjQ7DRCikbGqn6xnmFRKoCWQ6b7Gbaftzr9SYCkDFT4LL3Nu	1
101	2vbJGRxpTBwsfhE3RoSpLXqf54RLepjVXjJ5ug8zM2JV68YLLEKM	1
102	2vamNdMibmt2mYr7bXnFBaRdCZLpDryxP2bxisSJi2decZDBMEHC	1
103	2vbrjCWkn3G5WNnDJiAVvdQBYpP7VVb4HtvYRJpLxzyh7gYXCB6x	1
104	2vb3osRCpUp2yzH1asoqZ4AdDu5oXQhJL8PYtqEWfAcAkoJDaTAz	1
105	2vbvnmExq495wfUgaPCKSvWddFY3ZUQbqKeP4p37fqnVh6BuWhrg	1
106	2vaCLFvQsZQMSwJEeWzLSzxUSBnrvbNtrBNjYNJUnXzN54g6eCvC	1
107	2vahCanF2huhz7SDPxgApmfQSdt3hdmp5G4siMHs36RxNgqUEbNn	1
108	2vakpwpswxNbQvWHGLko6XprGpe4ZktQpGhAmS4vHNzbcFEohoDi	1
109	2vakUmFF98UuveXSnYhSJKHJdnnfAv52JfvBN7NQPei267jknisv	1
110	2vatRdt1Rd4sxLGsNPrD2LPomhhSa3vsq4VhqXubuk3S3fGPoKvw	1
111	2vaNCggimB8MXqWhYXny5BvkJndsCQkPDskp46AMAnqy6gET9VrJ	1
112	2vbwbsr7Cgm1sK4sFCJ4qfz6ba8PLX3ZUwwR4nodhJvAASQ1FiqM	1
113	2vbu1CRE5e9b2QFdHu1zBtRFXEZcrHsbQPyRFUtRoJzjp32VM2RZ	1
114	2vaqQWmFYrD8c2ZbJxRTeVMVBYwiNAbCLcJkhmBbHf1UYS72e8q7	1
115	2vaQpbPKgZLDV71ZZwpGd5DHEsrxcVsTGQ1skX8Sa9GkVgWUG2Ka	1
116	2vadwX3TiQYWKGEVHQCHiCYdrVk77KkP9s4M8Ck7AnXyvF85tDwJ	1
117	2vaVo85WgMgxU1wriCAm9JcxkeCLU2Pvg8fvWFW7hY45hAhhsEbv	1
118	2vb61DqAkU1KYCzrskZ2gjwRcY1dh9EAfV3AgZbPLMYu6WK5suss	1
119	2vbeXT3fu1rPkHFnR2vLYem5FLz9mx5MVP86AoTpezU7b3teLvwq	1
120	2vbh6KNM1uicKiqBxvRgA4t7dzLCF1fQg1WDDu39j5gQuvxRhqAE	1
121	2vaQN7uicHMuk2f1LBBkdUTVfHStfEeuFRGS91HkDFJFYmSKvt9a	1
122	2vaMPogZUZNL1ATGpUcxEUSKdxmosqdka1Y1YqwVNEFP8B1Riiv8	1
123	2vbNp5grghF5QdovBeC7Q4WoEp5gQUUJFLENsu6csUnFcXuPdTU2	1
124	2vaa24JSqqEga6M6sZAJ4NPKvQ1jcXVo5JPkixTLhHde7BHDYMLZ	1
125	2vb3W4zxbXWrsWBS636Fc8vWXqZTcHaCKqM7qFgm7xukTz3SfoG2	1
126	2vaZ2JkwGQAm8Wz4qrqpRyYMjmjshyH665tFzxBBJhqYxB7UbjEZ	1
127	2varjPnhUkDJbd6dPUVtGkysxBdjAt6pLePyeZhr4De8vVMdCBUQ	1
128	2vbDDRd6dyRe1xfTrFqUzHvi3cn4q8RDRGQuW9A9dASAMnt8866E	1
129	2vakzPqf9x4aG9kEn6E17n1BGCTYZdwsfmE5QYRkytp1tZeVweXK	1
130	2vbhRgjrsQTw1jENtFT8kV3peb24Zt2nsH4st6xtfivdPh2DHDET	1
131	2vaej1w8dm376SYnH9a4iqWs2M5CQSze6Kqk6KtYsDHrdCBbTHxL	1
132	2vaq7Fs4HscSoo48D3jcnFb9WUDder7BM58o2NZMymPzey4sdYcW	1
133	2vbT9qrpUJ2Ap63sx73Dh8bGu2MsLSq1L1aduhzQD73phmDt41Vt	1
134	2vc4i8HYARU7wwUMgDVjqiSpbnwPVbuieQJbaLfhxBTgSaufLnQd	1
135	2vabTkcfe1caMRRTVRVrQTQduAYyKmPyr88wynZAQfx3LYiC7mRr	1
136	2vbAMH6DR4TjKAU9p5RLxvgbb6jgqdPZHKSsu4yGNXobU5nSubay	1
137	2vaLFXEspP6Ma887PCFsJZc8SLWvwUgBEWWrr2Wvdyv9Eq2kyTi8	1
138	2vagf925vAEVxhfzUXW7A2RNzadauGxicgp5yZnbKzWcU9UgzfN6	1
139	2vawaQgB2tSN1sWQrd463E9guwgT8QWfMHtLzKYh6nzppzQM2mJn	1
140	2vbASKhirAx41MSJVbXkWXyrJT7n291XYZmR6U2dfQvsmKbkZXQM	1
141	2vaVDyEKCmeDWDyvfPp4sz6pLRbbhUDteV8BbwU8njYWhpNynPQS	1
142	2vb1VmAjTbw3EXoXt79VP6QVK1LaMTs6hCkGaed3xKXtGiiiacYv	1
143	2vaFgJTiJrFC4mN3FiDENYpBk5h1pNTfUNw93G7jt6zgYCm9PUJE	1
144	2vbBUhUgbDRGaA6snCfbk5pGti5Afk92Z8UkjoSpDjX3wp6UVucz	1
145	2vbHnKJzpbo5i99dfw3jidqkVrK19sVXLPEcThbpJsEw1qw4Ujp6	1
146	2vaAxgKUiq3N2PsHZWeR2o8BbRCpSJGjyCBcMM3NbghRRbtC59pT	1
147	2vaapELgzNkBaW8p8txUUba22rLgVTn1UWXmGWVS7ugWTL9d95ZF	1
\.


--
-- Data for Name: internal_commands; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.internal_commands (id, type, receiver_id, fee, token, hash) FROM stdin;
1	coinbase	1	40000000000	1	CkpYyRMPJBuyZUv13LmLZGWEZ7Gt2RFvGUsU4xvzN55oSH8E76RRv
2	fee_transfer	1	2000000000	1	CkpYU6honkfj8iGs5NjS2fVrPLyhnz3fZH1v7gYCo7qkVk9qjWKWc
3	fee_transfer	1	7000000000	1	CkpaCpkprfogLKBrzBRrcRp6AVkeqxoCeLexPz8Uwg7hubKG9o2tv
4	fee_transfer	1	3000000000	1	CkpZwcTo9njsRUmEM7bbE8wX6f4MinTiS5ieVU1DqqCkx2s5ZFej5
5	fee_transfer	1	5000000000	1	CkpYWNVe1da29z2A7YJ3jsPk8iC3BwkWrmzxUfa3Tj9pB26EDkKbo
6	fee_transfer_via_coinbase	2	1000000000	1	CkpZkD324cgQfL5aD6sNEKAa1Z73oVgZyTzbDDzHcm3JDrtxK3EMq
7	coinbase	1	40000000000	1	CkpaB71eWZRMp64sBMSH5FC67bMJE24hmeDmTy1q4NpiSe2darVWw
8	fee_transfer	2	2000000000	1	CkpZNWbZ89DWJBEujLH6yH376bDvsNkGdQt7wcAPwb5jQxK56djDs
\.


--
-- Data for Name: public_keys; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.public_keys (id, value) FROM stdin;
1	B62qmnkbvNpNvxJ9FkSkBy5W6VkquHbgN2MDHh1P8mRVX3FQ1eWtcxV
2	B62qjnkjj3zDxhEfxbn1qZhUawVeLsUr2GCzEz8m1MDztiBouNsiMUL
3	B62qiy32p8kAKnny8ZFwoMhYpBppM1DWVCqAPBYNcXnsAHhnfAAuXgg
4	B62qoDWfBZUxKpaoQCoFqr12wkaY84FrhxXNXzgBkMUi2Tz4K8kBDiv
5	B62qokqG3ueJmkj7zXaycV31tnG6Bbg3E8tDS5vkukiFic57rgstTbb
\.


--
-- Data for Name: snarked_ledger_hashes; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.snarked_ledger_hashes (id, value) FROM stdin;
1	jxZLBXBBfE5tfq8CbcMqXosMsDo1mYt8kYNZsAb4JSs36ghytn5
2	jwRjZjyQEtakXwsciPznjcKrb1wPqA4KvtdWyw3hFciG71vfzTN
3	jxqYRUtoUWYg7wkfxeZbFNsruVWWJ5KV6VCS2exj3Gs9Ur8cJPo
4	jx5SoufRtkHc8EEAex1dvQ6NrP77drD1PkpmQCf3DCzaM2MMzR2
5	jxKiLvK2BJCYUR2ZfKegh5ZaXobYZsKyUCtQMNJMFj8LAxReFdk
6	jxTDB3BhpQtDxtsR9TF3bH7WFPLyPaH3cNEBJ7X544RN1gncCMx
7	jwxoLa3wTsvUUcw3kjpjhn6TR6r56y7xPG9Y78DAWKEmeUptyEj
8	jxvE8manjYeuCWHkSJg8kYbYLGDCxTeZtBoGZdBmV4NF3ef6K7c
9	jxgZJnLAxrgT6yofxgyfhGhTuB3Z2GpQtVUM8m1VHsShShLfFEV
\.


--
-- Data for Name: timing_info; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.timing_info (id, public_key_id, token, initial_balance, initial_minimum_balance, cliff_time, cliff_amount, vesting_period, vesting_increment) FROM stdin;
1	1	1	66000000000000	0	0	0	0	0
2	2	1	1	0	0	0	0	0
\.


--
-- Data for Name: user_commands; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.user_commands (id, type, fee_payer_id, source_id, receiver_id, fee_token, token, nonce, amount, fee, valid_until, memo, hash) FROM stdin;
1	payment	1	1	4	1	1	0	5000000000	2000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpYQFLKzdv4G4WnACPR936VAAMTtNSCfUDvmcPQZRNVLLwY1Td5M
2	payment	1	1	5	1	1	1	1000	7000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpYd59fwZq5piManvpFKfUNARmr5JNmsdwRsErnmXWXtXHHZ57GV
3	payment	1	1	4	1	1	2	10000000000	3000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpZ7pNUgwkVXV1YrLuvbq6efyBjyQDCWBt59kw55X2Pm931JRZTG
4	delegation	1	1	4	1	1	3	\N	2000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpYX91nuw2GNGqDEFgXDmQWcMoiXLK46giHN8j1bC7RFCg7KWWc3
5	delegation	1	1	4	1	1	4	\N	5000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpZcM9UBC21d8yx6Q6C6jsFnjytPX1bJhfyVQvAra7Rwh8zrYyi8
6	create_token	1	1	1	1	0	5	\N	2000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpYSjfC59c2PoqNBStQ36dVSh9SCS8pDjxU1vFzQspAHzQPaG1nd
7	create_token	1	1	1	1	0	6	\N	5000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpZzQqpSGDymiMC3LjRWotESk7vEoFq197vHoGGYsvYx54pgvyUn
8	create_account	1	1	4	1	2	7	\N	2000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpZskBu6Ak3EEYxMbkMiW76Fnr4XzyGBTjVHcq8RgmLZVk7wELgD
9	create_token	1	1	1	1	0	8	\N	5000000000	\N	E4YM2vTHhWEg66xpj52JErHUBU4pZ1yageL4TVDDpTTSsv8mK6YaH	CkpaHT7jeAfYxV8j8pSyStNR635XpAKUPUPNjxeLYKPc4YqZDU57R
\.


--
-- Name: balances_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.balances_id_seq', 282, true);


--
-- Name: blocks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.blocks_id_seq', 146, true);


--
-- Name: epoch_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.epoch_data_id_seq', 147, true);


--
-- Name: internal_commands_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.internal_commands_id_seq', 8, true);


--
-- Name: public_keys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.public_keys_id_seq', 5, true);


--
-- Name: snarked_ledger_hashes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.snarked_ledger_hashes_id_seq', 9, true);


--
-- Name: timing_info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.timing_info_id_seq', 2, true);


--
-- Name: user_commands_id_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.user_commands_id_seq', 9, true);


--
-- Name: balances balances_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.balances
    ADD CONSTRAINT balances_pkey PRIMARY KEY (id);


--
-- Name: blocks_internal_commands blocks_internal_commands_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_internal_commands
    ADD CONSTRAINT blocks_internal_commands_pkey PRIMARY KEY (block_id, internal_command_id, sequence_no, secondary_sequence_no);


--
-- Name: blocks blocks_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_pkey PRIMARY KEY (id);


--
-- Name: blocks blocks_state_hash_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_state_hash_key UNIQUE (state_hash);


--
-- Name: blocks_user_commands blocks_user_commands_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_pkey PRIMARY KEY (block_id, user_command_id, sequence_no);


--
-- Name: epoch_data epoch_data_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.epoch_data
    ADD CONSTRAINT epoch_data_pkey PRIMARY KEY (id);


--
-- Name: internal_commands internal_commands_hash_type_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.internal_commands
    ADD CONSTRAINT internal_commands_hash_type_key UNIQUE (hash, type);


--
-- Name: internal_commands internal_commands_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.internal_commands
    ADD CONSTRAINT internal_commands_pkey PRIMARY KEY (id);


--
-- Name: public_keys public_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.public_keys
    ADD CONSTRAINT public_keys_pkey PRIMARY KEY (id);


--
-- Name: public_keys public_keys_value_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.public_keys
    ADD CONSTRAINT public_keys_value_key UNIQUE (value);


--
-- Name: snarked_ledger_hashes snarked_ledger_hashes_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.snarked_ledger_hashes
    ADD CONSTRAINT snarked_ledger_hashes_pkey PRIMARY KEY (id);


--
-- Name: snarked_ledger_hashes snarked_ledger_hashes_value_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.snarked_ledger_hashes
    ADD CONSTRAINT snarked_ledger_hashes_value_key UNIQUE (value);


--
-- Name: timing_info timing_info_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.timing_info
    ADD CONSTRAINT timing_info_pkey PRIMARY KEY (id);


--
-- Name: user_commands user_commands_hash_key; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands
    ADD CONSTRAINT user_commands_hash_key UNIQUE (hash);


--
-- Name: user_commands user_commands_pkey; Type: CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands
    ADD CONSTRAINT user_commands_pkey PRIMARY KEY (id);


--
-- Name: idx_blocks_creator_id; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_blocks_creator_id ON public.blocks USING btree (creator_id);


--
-- Name: idx_blocks_height; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_blocks_height ON public.blocks USING btree (height);


--
-- Name: idx_blocks_state_hash; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_blocks_state_hash ON public.blocks USING btree (state_hash);


--
-- Name: idx_public_key_id; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_public_key_id ON public.timing_info USING btree (public_key_id);


--
-- Name: idx_public_keys_value; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_public_keys_value ON public.public_keys USING btree (value);


--
-- Name: idx_snarked_ledger_hashes_value; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX idx_snarked_ledger_hashes_value ON public.snarked_ledger_hashes USING btree (value);


--
-- Name: balances balances_public_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.balances
    ADD CONSTRAINT balances_public_key_id_fkey FOREIGN KEY (public_key_id) REFERENCES public.public_keys(id);


--
-- Name: blocks blocks_block_winner_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_block_winner_id_fkey FOREIGN KEY (block_winner_id) REFERENCES public.public_keys(id);


--
-- Name: blocks blocks_creator_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_creator_id_fkey FOREIGN KEY (creator_id) REFERENCES public.public_keys(id);


--
-- Name: blocks_internal_commands blocks_internal_commands_block_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_internal_commands
    ADD CONSTRAINT blocks_internal_commands_block_id_fkey FOREIGN KEY (block_id) REFERENCES public.blocks(id) ON DELETE CASCADE;


--
-- Name: blocks_internal_commands blocks_internal_commands_internal_command_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_internal_commands
    ADD CONSTRAINT blocks_internal_commands_internal_command_id_fkey FOREIGN KEY (internal_command_id) REFERENCES public.internal_commands(id) ON DELETE CASCADE;


--
-- Name: blocks_internal_commands blocks_internal_commands_receiver_balance_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_internal_commands
    ADD CONSTRAINT blocks_internal_commands_receiver_balance_fkey FOREIGN KEY (receiver_balance) REFERENCES public.balances(id) ON DELETE CASCADE;


--
-- Name: blocks blocks_next_epoch_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_next_epoch_data_id_fkey FOREIGN KEY (next_epoch_data_id) REFERENCES public.epoch_data(id);


--
-- Name: blocks blocks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES public.blocks(id);


--
-- Name: blocks blocks_snarked_ledger_hash_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_snarked_ledger_hash_id_fkey FOREIGN KEY (snarked_ledger_hash_id) REFERENCES public.snarked_ledger_hashes(id);


--
-- Name: blocks blocks_staking_epoch_data_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks
    ADD CONSTRAINT blocks_staking_epoch_data_id_fkey FOREIGN KEY (staking_epoch_data_id) REFERENCES public.epoch_data(id);


--
-- Name: blocks_user_commands blocks_user_commands_block_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_block_id_fkey FOREIGN KEY (block_id) REFERENCES public.blocks(id) ON DELETE CASCADE;


--
-- Name: blocks_user_commands blocks_user_commands_fee_payer_balance_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_fee_payer_balance_fkey FOREIGN KEY (fee_payer_balance) REFERENCES public.balances(id) ON DELETE CASCADE;


--
-- Name: blocks_user_commands blocks_user_commands_receiver_balance_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_receiver_balance_fkey FOREIGN KEY (receiver_balance) REFERENCES public.balances(id) ON DELETE CASCADE;


--
-- Name: blocks_user_commands blocks_user_commands_source_balance_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_source_balance_fkey FOREIGN KEY (source_balance) REFERENCES public.balances(id) ON DELETE CASCADE;


--
-- Name: blocks_user_commands blocks_user_commands_user_command_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.blocks_user_commands
    ADD CONSTRAINT blocks_user_commands_user_command_id_fkey FOREIGN KEY (user_command_id) REFERENCES public.user_commands(id) ON DELETE CASCADE;


--
-- Name: epoch_data epoch_data_ledger_hash_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.epoch_data
    ADD CONSTRAINT epoch_data_ledger_hash_id_fkey FOREIGN KEY (ledger_hash_id) REFERENCES public.snarked_ledger_hashes(id);


--
-- Name: internal_commands internal_commands_receiver_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.internal_commands
    ADD CONSTRAINT internal_commands_receiver_id_fkey FOREIGN KEY (receiver_id) REFERENCES public.public_keys(id);


--
-- Name: timing_info timing_info_public_key_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.timing_info
    ADD CONSTRAINT timing_info_public_key_id_fkey FOREIGN KEY (public_key_id) REFERENCES public.public_keys(id);


--
-- Name: user_commands user_commands_fee_payer_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands
    ADD CONSTRAINT user_commands_fee_payer_id_fkey FOREIGN KEY (fee_payer_id) REFERENCES public.public_keys(id);


--
-- Name: user_commands user_commands_receiver_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands
    ADD CONSTRAINT user_commands_receiver_id_fkey FOREIGN KEY (receiver_id) REFERENCES public.public_keys(id);


--
-- Name: user_commands user_commands_source_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.user_commands
    ADD CONSTRAINT user_commands_source_id_fkey FOREIGN KEY (source_id) REFERENCES public.public_keys(id);


--
-- PostgreSQL database dump complete
--
